#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0xbc8bf0c0, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0x79b3cbdf, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x7c785880, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x751e48ec, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x9dbd8392, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x1c68843d, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0xb969ac64, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0xfbbd2321, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x2df5bb45, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0xf6f655c6, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0xe96c2839, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0x3f3aadc0, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0xd10f12bc, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x79493845, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x291bd813, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac6b450d, "__hci_cmd_sync" },
	{ 0x2d12f038, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5c91e287, "hci_cmd_sync_queue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcb25dd51, "hci_devcd_register" },
	{ 0xac915b02, "__hci_cmd_send" },
	{ 0xa440a8e7, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x82713f0, "usb_anchor_urb" },
	{ 0xba50cb89, "usb_submit_urb" },
	{ 0x824b68a4, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7eec5e1f, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe3e06cd9, "usb_autopm_get_interface" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xa8d87bfd, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x37a0cba, "kfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4086604b, "hci_devcd_append" },
	{ 0x20ab5c34, "hci_devcd_complete" },
	{ 0x5909973b, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x66325cf4, "usb_disable_autosuspend" },
	{ 0x7fa9e169, "skb_clone" },
	{ 0xa72bdfeb, "hci_recv_diag" },
	{ 0xdf8c8ed1, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb7397b42, "__alloc_skb" },
	{ 0xa81d4230, "skb_put" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6e70e76c, "usb_control_msg" },
	{ 0xfc1a9cc3, "__skb_pad" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x91e6fe42, "usb_set_interface" },
	{ 0xb32f66d3, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "A822B200A7C1E2ADF231E3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
