#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xb5f3f7cc, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x394eea9a, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xa6d070a8, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x889779b1, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x08ac5265, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x3d9cb9ea, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x480988cd, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0xd801775d, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xdc5a1b92, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x37ee0995, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xb272ad28, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x33e86930, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x24eb1865, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xbd53f21f, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x470168ac, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xb581acc3, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xb470e7b8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x5243e361, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xdc5c8416, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x447fdae8, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x2571bd80, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x0dac1c4c, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x4a01a59e, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xce0170ca, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xa15cdf44, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x310097c2, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0xc479c0b7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x12c51564, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0xf0ee13ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e69419e, "regmap_raw_write" },
	{ 0x38ca9550, "regmap_raw_read" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x52d12fbe, "regmap_read" },
	{ 0xde00cf50, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x6d2e8609, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0x38f31081, "regmap_raw_write_async" },
	{ 0x86a40be5, "regmap_update_bits_base" },
	{ 0x116862ec, "regmap_write" },
	{ 0x53327ac3, "regmap_multi_reg_write" },
	{ 0x766ff840, "regmap_bulk_read" },
	{ 0x851aeaba, "devm_kmalloc" },
	{ 0xf743702e, "devm_kfree" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x66241fd1, "devm_kasprintf" },
	{ 0x5d9a2921, "debugfs_remove" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x565af3d3, "seq_lseek" },
	{ 0x4e120073, "seq_read" },
	{ 0x4c5734cf, "single_release" },
	{ 0xa647c218, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc28aa90b, "debugfs_create_dir" },
	{ 0x685c1030, "debugfs_create_bool" },
	{ 0xd788a4c7, "debugfs_create_x32" },
	{ 0x90d41141, "debugfs_create_file" },
	{ 0xf5400ded, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x242e3b55, "_dev_err" },
	{ 0xeb54bb7f, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
