#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x80e6f6f9, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x5568fa14, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x139dcc7b, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xdf7bc060, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xa9692fcb, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x139d5cdf, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x0020c202, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x0a0dfec5, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x1eea9a0d, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xe39dbc62, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xf537cd68, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xcce2cc12, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x74eae8a0, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x1082f74c, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x570c92e3, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x6928f26b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfaaea4f8, "drm_client_framebuffer_delete" },
	{ 0x94e01054, "dma_free_pages" },
	{ 0x728839a8, "drm_client_framebuffer_create" },
	{ 0x9276f94a, "drm_fb_helper_deferred_io" },
	{ 0x921224e6, "drm_fb_helper_release_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049676c, "drm_driver_legacy_fb_format" },
	{ 0x8dba1aad, "drm_fb_helper_fill_info" },
	{ 0xd6edb5c1, "drm_gem_create_mmap_offset" },
	{ 0xb619079d, "fb_deferred_io_init" },
	{ 0xdaf5d660, "fb_deferred_io_cleanup" },
	{ 0xc7bfcb15, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x875a1485, "dev_driver_string" },
	{ 0x8e5aa0af, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x62babec3, "fb_sys_write" },
	{ 0xa4cf449, "sys_imageblit" },
	{ 0x4d82aeb4, "drm_atomic_helper_damage_iter_init" },
	{ 0xdb53e349, "drm_fb_helper_damage_range" },
	{ 0xf40140cd, "drm_fb_helper_blank" },
	{ 0xf9bad10f, "dma_alloc_pages" },
	{ 0x91b7aa8c, "drm_gem_private_object_init" },
	{ 0xd0b406, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeb907591, "drm_fb_helper_damage_area" },
	{ 0xed0bdf4b, "sys_fillrect" },
	{ 0x1de06e28, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4b70e3b5, "drm_client_init" },
	{ 0x9552f80d, "drm_gem_vm_close" },
	{ 0xf29003a1, "drm_gem_vm_open" },
	{ 0xd26ed91c, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0x242e3b55, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xccb87cf8, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x281f0777, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x866d3625, "drm_gem_handle_create" },
	{ 0x2df8671c, "drm_gem_fb_get_obj" },
	{ 0x3252816f, "__drm_dev_dbg" },
	{ 0x8aaf2077, "fb_deferred_io_mmap" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3cfae7f, "drm_fb_helper_pan_display" },
	{ 0x6ebfe781, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x867fba3f, "sys_copyarea" },
	{ 0xfb064bf8, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xd242a858, "__dma_sync_single_for_device" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d6dd3d5, "drm_client_buffer_vunmap" },
	{ 0xdd8c327f, "fb_sys_read" },
	{ 0x92c2ce9e, "drm_fb_helper_debug_leave" },
	{ 0x722a5f12, "dma_buf_vmap_unlocked" },
	{ 0x454a60f4, "dma_mmap_attrs" },
	{ 0xbb06d3cd, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x91268c02, "drm_fb_helper_initial_config" },
	{ 0x298a9046, "drm_fb_helper_unregister_info" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x447f6fd0, "drm_fb_helper_ioctl" },
	{ 0xf668d483, "drm_fb_helper_set_par" },
	{ 0xa3f0d0c1, "drm_prime_gem_destroy" },
	{ 0x9871f76e, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7031d0b6, "try_module_get" },
	{ 0x764b4237, "drm_fb_helper_init" },
	{ 0x2b3e7540, "drm_fb_helper_debug_enter" },
	{ 0x4e1d0a71, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2b4c36c, "drm_client_buffer_vmap" },
	{ 0x64cd9f59, "drm_fb_helper_lastclose" },
	{ 0x34d4b140, "drm_fb_helper_setcmap" },
	{ 0x335c99e8, "drm_fb_helper_alloc_info" },
	{ 0xf8c74100, "drm_helper_disable_unused_functions" },
	{ 0x304b7b9e, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x93695386, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x658fe6e5, "drm_fb_helper_fini" },
	{ 0x859e601c, "dma_mmap_pages" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B9CB4C28E63F409E517E0F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
