#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x091d6162, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x7a5002a2, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xdcbc9e8d, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x62475e26, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ba1398d, "__pm_runtime_disable" },
	{ 0x2cd734ba, "__pm_runtime_set_status" },
	{ 0x7df309d2, "iio_trigger_unregister" },
	{ 0xac914081, "iio_triggered_buffer_cleanup" },
	{ 0x8126a302, "regulator_bulk_disable" },
	{ 0x5c98729e, "devm_iio_device_alloc" },
	{ 0x2c188c02, "is_acpi_device_node" },
	{ 0xe87c3385, "iio_read_mount_matrix" },
	{ 0x379ecdca, "devm_regulator_bulk_get" },
	{ 0xfdcf60ce, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbff81c6c, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x30167dfc, "iio_read_acpi_mount_matrix" },
	{ 0xa99cc3c6, "dev_err_probe" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xf049fbd4, "iio_triggered_buffer_setup_ext" },
	{ 0xbfb096bd, "devm_request_threaded_irq" },
	{ 0x92e01704, "iio_device_id" },
	{ 0xc25ea8da, "__devm_iio_trigger_alloc" },
	{ 0x7b40e956, "iio_trigger_register" },
	{ 0x9fd486a5, "pm_runtime_enable" },
	{ 0x61b3ebf3, "pm_runtime_set_autosuspend_delay" },
	{ 0xefa5c745, "__pm_runtime_use_autosuspend" },
	{ 0xc1e65df0, "__iio_device_register" },
	{ 0x5e9cc4d6, "__dev_fwnode" },
	{ 0xe85782a4, "fwnode_irq_get_byname" },
	{ 0xec2ff883, "iio_read_const_attr" },
	{ 0x2e8325dd, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x116862ec, "regmap_write" },
	{ 0x997af71b, "regmap_get_device" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfdbe0cb1, "iio_get_time_ns" },
	{ 0x3237a756, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x86a40be5, "regmap_update_bits_base" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdfb841e6, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x66e7323c, "__pm_runtime_suspend" },
	{ 0x52d12fbe, "regmap_read" },
	{ 0x95aec4c3, "iio_buffer_enabled" },
	{ 0x766ff840, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8ac63ed8, "iio_device_get_current_mode" },
	{ 0x38ca9550, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9f34ef40, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd2364f05, "iio_push_event" },
	{ 0x25ddf6bd, "iio_trigger_notify_done" },
	{ 0x6833646f, "iio_device_unregister" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "74230F3F4E0A46EB7A272AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
