#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0x83395613, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0xe5f0620e, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0xb0aba4b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cd6e7f9, "iio_buffer_put" },
	{ 0xf579a197, "iio_dma_buffer_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa0f5c07b, "iio_dma_buffer_block_done" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c362a98, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xcec8bf3b, "dma_request_chan" },
	{ 0xd893f574, "dma_get_slave_caps" },
	{ 0x661f0df, "iio_dma_buffer_init" },
	{ 0x3d15ef5a, "iio_device_attach_buffer" },
	{ 0x9d3fb3e6, "__devm_add_action" },
	{ 0x3210c776, "iio_dma_buffer_read" },
	{ 0x77498737, "iio_dma_buffer_usage" },
	{ 0x4ef77852, "iio_dma_buffer_write" },
	{ 0x59bfbc7a, "iio_dma_buffer_request_update" },
	{ 0x5e39d883, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0x9ea17938, "iio_dma_buffer_set_length" },
	{ 0xef162371, "iio_dma_buffer_enable" },
	{ 0x94b47fe2, "iio_dma_buffer_disable" },
	{ 0x582843a3, "iio_dma_buffer_attach_dmabuf" },
	{ 0xba807418, "iio_dma_buffer_detach_dmabuf" },
	{ 0xcfa1fc02, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0x17941257, "iio_dma_buffer_lock_queue" },
	{ 0xd7ff1c19, "iio_dma_buffer_unlock_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7120120, "iio_dma_buffer_exit" },
	{ 0x85874e80, "dma_release_channel" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-buffer-dma");


MODULE_INFO(srcversion, "E2D5B553B5B6FCFE229A861");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
