#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x8367da3c, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xb57fe9f0, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x2e724cae, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xbc700d3f, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x655e3b87, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xbd1a87a5, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x10092206, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x2893355a, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x832d39e0, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x5bce6836, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x871ee47d, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xaffc10e9, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x2b948044, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xc6234f2f, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x1af3c364, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xe1332bbb, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x04181668, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x63113580, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x96ecbdee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbe654cb, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd85d113, "i2c_del_adapter" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe0f1f5f0, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7000fb9d, "rc_register_device" },
	{ 0x281f0777, "dma_alloc_attrs" },
	{ 0x6a948f04, "rc_keydown" },
	{ 0x890b040f, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc129b1e5, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc9b4a492, "param_ops_short" },
	{ 0xdc9453af, "rc_free_device" },
	{ 0x9fc60503, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6977a8ed, "dvb_frontend_detach" },
	{ 0x3a57ccbe, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc06464b2, "dma_set_coherent_mask" },
	{ 0xff904539, "dvb_net_release" },
	{ 0xc777ee0, "dvb_ca_en50221_camready_irq" },
	{ 0x526ac835, "rc_allocate_device" },
	{ 0xfb064bf8, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x46817398, "dvb_unregister_frontend" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xace519ce, "dvb_ca_en50221_camchange_irq" },
	{ 0xebd41b61, "i2c_transfer" },
	{ 0x70796b60, "pci_disable_device" },
	{ 0x243a5e10, "dvb_register_frontend" },
	{ 0xd03c9f41, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x9c32a137, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf4f943d, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x43ed1c5b, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0x5778f89, "pci_enable_device" },
	{ 0xb0b1cff3, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x3322676f, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
