#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0xa96850e6, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x95ee4335, "_gpl");
SYMBOL_CRC(sdhci_reset, 0xc24f7f85, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x88af3298, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x66cc0bf6, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xfc875df7, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xfc64c177, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x64ac16f1, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x7ff6ae47, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x616e5cab, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0xe8c34e68, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x007cf87d, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x5d8b6053, "_gpl");
SYMBOL_CRC(sdhci_request, 0xc6458939, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x13bd2ed8, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x66a62a0c, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xb662385f, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0xa8050b21, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0xfc4510f4, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x12b30a3e, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x3239d915, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x0cffccb0, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0xa601c180, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0xce198502, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0xe266303d, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x8c89cac9, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x03a7b587, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x6ac93358, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xc3f79df2, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xa27d8370, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0xfba7fb3c, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0xfa3edbdb, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x7f628069, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0xd9fa5c28, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x9df91f65, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0x2aa2ef66, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0xb3778bfa, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x0ab18648, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0xc8656c6e, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0xaecd6493, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x919d7225, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0xda73de36, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0xda241619, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x84dab6d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x813b895e, "dma_map_sg_attrs" },
	{ 0xd242a858, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x4ddef698, "dma_unmap_sg_attrs" },
	{ 0x8e3fc021, "mmc_alloc_host" },
	{ 0xfb064bf8, "dma_free_attrs" },
	{ 0xefeb0676, "regulator_disable" },
	{ 0x8e9abe33, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf24a6fe0, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x83a86b7c, "mmc_send_abort_tuning" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2b46b7ef, "mmc_regulator_set_ocr" },
	{ 0x888bb515, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x5c51bbb6, "__dma_sync_single_for_cpu" },
	{ 0x38f94950, "mmc_gpio_get_cd" },
	{ 0xda85e4f3, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfc22468d, "led_classdev_register_ext" },
	{ 0x85b44f97, "mmc_add_host" },
	{ 0xb482a7c4, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5d3c47ce, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd6926813, "mmc_can_gpio_ro" },
	{ 0x7f1d23c3, "mmc_gpio_get_ro" },
	{ 0x77603ca2, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd898bc9c, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8970ef, "regulator_is_supported_voltage" },
	{ 0xe92d0db2, "regulator_get_current_limit" },
	{ 0x886eba12, "regulator_enable" },
	{ 0x281f0777, "dma_alloc_attrs" },
	{ 0x851aeaba, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf964ca1a, "dma_map_page_attrs" },
	{ 0xf743702e, "devm_kfree" },
	{ 0x6eac542e, "mmc_regulator_get_supply" },
	{ 0xe4b863ba, "dma_max_mapping_size" },
	{ 0x800185ce, "dma_set_mask" },
	{ 0xc06464b2, "dma_set_coherent_mask" },
	{ 0x875a1485, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x57fb7694, "mmc_detect_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6b2b124b, "sg_miter_start" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2d5b5f1e, "__dma_sync_sg_for_cpu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfe591d24, "mmc_command_done" },
	{ 0x738219ba, "sdio_signal_irq" },
	{ 0x389ac634, "sg_miter_next" },
	{ 0xb58f2c57, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbb8caeec, "param_ops_uint" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "F7E2BC1EC3453CAF9EDC791");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
