#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x99f73e48, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x1f7f9009, "");
SYMBOL_CRC(team_options_register, 0xad1a96aa, "");
SYMBOL_CRC(team_options_unregister, 0x6a4f2b3d, "");
SYMBOL_CRC(team_option_inst_set_change, 0xc7c318e9, "");
SYMBOL_CRC(team_options_change_check, 0xacacf5ec, "");
SYMBOL_CRC(team_mode_register, 0x99684aac, "");
SYMBOL_CRC(team_mode_unregister, 0x4c987b6c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x728ce72e, "netdev_has_upper_dev" },
	{ 0x9b908c, "netdev_change_features" },
	{ 0xad6d208f, "netdev_lower_state_changed" },
	{ 0xce4de60e, "netdev_master_upper_dev_link" },
	{ 0x844bbd27, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7759c38f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x190f9794, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xccf60726, "pv_ops" },
	{ 0xb780084, "vlan_vids_del_by_dev" },
	{ 0xb17a5bf1, "__netpoll_setup" },
	{ 0x5b539355, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x198fd736, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4673490e, "call_netdevice_notifiers" },
	{ 0xb9f1bd0b, "vlan_vid_del" },
	{ 0x6144eeed, "dev_set_allmulti" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f4b6fab, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7fa9e169, "skb_clone" },
	{ 0x229ccc93, "netif_carrier_on" },
	{ 0x5f1c589, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe7a3b6c2, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x99a3d4e2, "genl_unregister_family" },
	{ 0x23dcabd2, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0xcac1a7ec, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xefa8ad2f, "dev_mc_unsync" },
	{ 0xaedbb1c1, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x912fa308, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9e7b6cf0, "dev_mc_sync_multiple" },
	{ 0x42545a88, "register_netdevice" },
	{ 0xf4c70577, "dev_set_mtu" },
	{ 0x7031d0b6, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xca6dc38c, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe8c43528, "consume_skb" },
	{ 0x80c4f1c2, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe9c83269, "netpoll_send_skb" },
	{ 0x27daceec, "rtnl_link_register" },
	{ 0x807a1590, "genlmsg_put" },
	{ 0x96544676, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b34910, "dev_set_promiscuity" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0xc9f7b4b7, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x36a257e2, "dev_uc_unsync" },
	{ 0x4bf94f20, "ether_setup" },
	{ 0x10d32358, "netlink_broadcast_filtered" },
	{ 0x50f120f7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef68552c, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95b62b94, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8b35aa61, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb7397b42, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1de06e28, "module_put" },
	{ 0xeb721698, "dev_uc_flush" },
	{ 0xba7ea159, "dev_open" },
	{ 0x2adac17a, "rtnl_link_unregister" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2c5f35d6, "dev_mc_flush" },
	{ 0x2d12f038, "sk_skb_reason_drop" },
	{ 0x3de20c9, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf20a8a8c, "dev_get_by_index" },
	{ 0x8995d4dc, "dev_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdf3a1d59, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x76494b38, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf57da2e, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xaef6c6ad, "dev_set_mac_address" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "19BD7D28CC5D060BA207497");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
