#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x64c4adcd, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0xf3ef93d0, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xfae50a3b, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xb2c12d8c, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x07f49b45, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xfd751508, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x22eef61b, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xd96ba6c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaadd5163, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x953a0fb7, "mt76_csa_check" },
	{ 0x944ca40e, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x60e60cdd, "mt76u_single_wr" },
	{ 0x155b1261, "__mt76_tx_complete_skb" },
	{ 0x1c58f198, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xce8dd85d, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2afd120, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x69da731a, "mt76_csa_finish" },
	{ 0xb7397b42, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x242e3b55, "_dev_err" },
	{ 0xcb384f60, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x47a88364, "skb_push" },
	{ 0xdc6fe272, "mt76x02_init_beacon_config" },
	{ 0x6ba0ea1a, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd2244ec4, "mt76x02_mac_write_txwi" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x750fb0a2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa4721db8, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x62c09fed, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xcfd08229, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xce2a74f9, "__mt76_poll" },
	{ 0x291a65c2, "mt76x02_update_beacon_iter" },
	{ 0xec95b748, "mt76x02_enqueue_buffered_bc" },
	{ 0xc6c296f, "mt76x02_remove_hdr_pad" },
	{ 0xa81d4230, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe8c43528, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf9a7d1ed, "mt76x02_resync_beacon_timer" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "1FF9C8D1A8B6859A919F7C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
