#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x1a21c018, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x7ac1853b, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x2a1f858b, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x8fba9bdc, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xac889ef5, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xb9a6e867, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x8f6930c2, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x7744804d, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x58fcd0e5, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xb4bc9d4f, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x897a86ef, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x6636c28b, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xd8517d80, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0xa5d7f7b5, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x87874823, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x2accfc74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e70e76c, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x82713f0, "usb_anchor_urb" },
	{ 0xba50cb89, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x7eec5e1f, "usb_unanchor_urb" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xa440a8e7, "usb_alloc_urb" },
	{ 0x824b68a4, "usb_free_urb" },
	{ 0xe82889c0, "rt2x00lib_dmastart" },
	{ 0x30317903, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc1a9cc3, "__skb_pad" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6a60c583, "rt2x00queue_for_each_entry" },
	{ 0x100ea4b8, "usb_kill_urb" },
	{ 0x3a22929f, "rt2x00queue_get_entry" },
	{ 0x8cb962ad, "rt2x00queue_stop_queue" },
	{ 0xd5d9775f, "rt2x00queue_flush_queue" },
	{ 0x74db2b55, "rt2x00queue_start_queue" },
	{ 0xb161cc0d, "rt2x00lib_txdone_noinfo" },
	{ 0xd1f57f4b, "rt2x00lib_rxdone" },
	{ 0x6c6170b9, "rt2x00lib_suspend" },
	{ 0x749e982d, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x77e8cbd2, "rt2x00lib_remove_dev" },
	{ 0x5ebf677d, "ieee80211_free_hw" },
	{ 0x4225f63c, "usb_put_dev" },
	{ 0x4c11ce91, "usb_get_dev" },
	{ 0x59d6eff5, "usb_reset_device" },
	{ 0x53242b67, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x851aeaba, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x82a7fabc, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
