#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x33c82734, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xd8e13429, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0xf98e0468, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x60586eb8, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x41375ef9, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x1a4a86b6, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0xb278d15d, "");
SYMBOL_CRC(rtw89_core_rx, 0x65bebc90, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xa7f5621f, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xebb4cb0a, "");
SYMBOL_CRC(rtw89_core_napi_init, 0xb451716d, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x27184200, "");
SYMBOL_CRC(rtw89_check_quirks, 0x592a92a8, "");
SYMBOL_CRC(rtw89_core_init, 0xc740a096, "");
SYMBOL_CRC(rtw89_core_deinit, 0xb8cd396f, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xfd10c168, "");
SYMBOL_CRC(rtw89_core_register, 0x72d67ba1, "");
SYMBOL_CRC(rtw89_core_unregister, 0xed64f011, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x9c4ec2d2, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x98afbace, "");
SYMBOL_CRC(rtw89_ops, 0x6584d3c4, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xa2bec82c, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x2d80abd6, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xaa82d420, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xb9a2dee8, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x3524a0ea, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x42ba8dea, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x589103b1, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x2065908b, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x9f496cc9, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x768d38d9, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x8b7899da, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x1b6c9710, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x82ad8779, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x48ae5917, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x63ab2de4, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x5d70f04e, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0x999892c2, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0x8f43a771, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0x7af28c49, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0xc1d1d32b, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x2bea177f, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x061ab09e, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xda1c72d1, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0xb135ab0f, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0xa0fcf075, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xf2b92ddf, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xa1ccf128, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x5657083c, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xc2eadeac, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xfaf07635, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xffe1f273, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x21ce56a8, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x6365d3f0, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xf3d6c716, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x8c805ba9, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0xa042cf16, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x58132ae4, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0xf3c40c58, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0xb66ac0b9, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x4c543c27, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0xc442e7eb, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0xeefd5acc, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0x62a6fbb4, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x419083e4, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x65ee403f, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x1b494c5d, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xbf8cd004, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x1ff75003, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x4653352e, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x912cde36, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0xa013b4e7, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xe7e54688, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0xee67c388, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x2a5446f1, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x42f20ce6, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x3eb60a6a, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x91fdeb02, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x6a482ef8, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0xf0449665, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x0ffcffaf, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x0dc07114, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x878d0c20, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0xb1002359, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x8ef6f47c, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xfbeead5d, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0x7be9f1d3, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x9573e391, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x0d88c449, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xd5b319b1, "");
SYMBOL_CRC(rtw89_ser_notify, 0xc8329669, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe818c634, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xefc81326, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x99845ea, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2e3f755e, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xad912763, "ieee80211_ready_on_channel" },
	{ 0x7740d464, "ieee80211_stop_queues" },
	{ 0x7759c38f, "skb_trim" },
	{ 0x39a2d3b7, "skb_unlink" },
	{ 0xb43913ba, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x294da20d, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe9c72145, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2c2f263f, "ieee80211_scan_completed" },
	{ 0x750fb0a2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcffe48cc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6cd131e3, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x62f90674, "seq_write" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb54bb7f, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc965a8f5, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe881f3c8, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdb911d10, "ieee80211_queue_work" },
	{ 0x239cbf55, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xf77ed064, "napi_disable" },
	{ 0xcac1a7ec, "dev_kfree_skb_any_reason" },
	{ 0x9c0ae5e5, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xce81e035, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf18d82ec, "ieee80211_stop_tx_ba_session" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x1d3269c, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x4365e3a8, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2c188c02, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xebde6ec8, "__ieee80211_schedule_txq" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x680b58d0, "cfg80211_bss_iter" },
	{ 0xa81d4230, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe8c43528, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb390a4aa, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5ebf677d, "ieee80211_free_hw" },
	{ 0x2428e8ef, "ieee80211_probereq_get" },
	{ 0xffef3d1a, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x291bd813, "request_firmware" },
	{ 0xb1da7b00, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaf9e534c, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd547b454, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x44122f01, "ieee80211_nullfunc_get" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0xf57a1e56, "ieee80211_pspoll_get" },
	{ 0x1f5eefa9, "ieee80211_register_hw" },
	{ 0x7d243ee4, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb86f46fa, "ieee80211_restart_hw" },
	{ 0x7d3f07ec, "__netif_napi_del" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc832376a, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe86b7d01, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xde00cf50, "_dev_info" },
	{ 0xa96be7af, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x79b762ee, "wiphy_to_ieee80211_hw" },
	{ 0xe9238966, "ieee80211_gtk_rekey_add" },
	{ 0x9c316e90, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d12f038, "sk_skb_reason_drop" },
	{ 0xd4836ddc, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x79fc8f5c, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x47a88364, "skb_push" },
	{ 0x46acdf7d, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf8ef130a, "seq_putc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xaae7ed19, "ieee80211_wake_queues" },
	{ 0x446830c6, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc05becc5, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a87d5e4, "ieee80211_free_txskb" },
	{ 0x6d762e20, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x53242b67, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "5FF5D2D6AAEC0A83C4EE3FB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
