#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xcc90b26a, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x9d4c5ea4, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x135a3436, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x665807d5, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xebcfa753, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x81c81dc9, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xa41cc078, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xeb1d6779, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0xcec9bac8, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xf4e7ed3c, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x0a26cf94, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x9570a008, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xe763e628, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x48d0c1ac, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x8b6a105e, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0xde399e38, "");
SYMBOL_CRC(rtw89_pm_ops, 0x64249e6a, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x11270efb, "");
SYMBOL_CRC(rtw89_pci_probe, 0x2adfb1ec, "");
SYMBOL_CRC(rtw89_pci_remove, 0x50dca357, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0xa8dfa0d4, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x322bc46b, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0xec0ddcbe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfb064bf8, "dma_free_attrs" },
	{ 0x65bebc90, "rtw89_core_rx" },
	{ 0xcffe48cc, "param_ops_bool" },
	{ 0x32a0338c, "pci_release_regions" },
	{ 0xd242a858, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb8cd396f, "rtw89_core_deinit" },
	{ 0xde49cd66, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x70796b60, "pci_disable_device" },
	{ 0x800185ce, "dma_set_mask" },
	{ 0x239cbf55, "napi_schedule_prep" },
	{ 0xd03c9f41, "pci_read_config_byte" },
	{ 0xcac1a7ec, "dev_kfree_skb_any_reason" },
	{ 0x93065d50, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xebb4cb0a, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfd10c168, "rtw89_chip_info_setup" },
	{ 0xa2bec82c, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9acb0e25, "pcie_capability_read_word" },
	{ 0xdea83e9e, "pci_find_ext_capability" },
	{ 0x9c4ec2d2, "rtw89_alloc_ieee80211_hw" },
	{ 0xbfb096bd, "devm_request_threaded_irq" },
	{ 0x5778f89, "pci_enable_device" },
	{ 0xa81d4230, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe8c43528, "consume_skb" },
	{ 0x95f8aa4b, "pci_iomap" },
	{ 0x41882e7d, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x7ca75de3, "skb_dequeue" },
	{ 0x666d351c, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbd3adc95, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb451716d, "rtw89_core_napi_init" },
	{ 0xed64f011, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x875a1485, "dev_driver_string" },
	{ 0xe9fc0d1c, "ieee80211_tx_status_skb" },
	{ 0x29141ff8, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf964ca1a, "dma_map_page_attrs" },
	{ 0x9ea3998, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x11e08a6f, "devm_free_irq" },
	{ 0xe86b7d01, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xde00cf50, "_dev_info" },
	{ 0xa96be7af, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc740a096, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5c51bbb6, "__dma_sync_single_for_cpu" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x592a92a8, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x27184200, "rtw89_core_napi_deinit" },
	{ 0x47a88364, "skb_push" },
	{ 0x281f0777, "dma_alloc_attrs" },
	{ 0x98afbace, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa7f5621f, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9b49472, "pci_iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x9fc60503, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc8329669, "rtw89_ser_notify" },
	{ 0x2e3f755e, "__netdev_alloc_skb" },
	{ 0x39a2d3b7, "skb_unlink" },
	{ 0xc06464b2, "dma_set_coherent_mask" },
	{ 0x72d67ba1, "rtw89_core_register" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "4713ADC3D688E13E8A8115C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
