#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x2603b51a, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed34f14, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d0474d4, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7fae9c54, "nvmf_unregister_transport" },
	{ 0x5c4befc, "blkcg_get_fc_appid" },
	{ 0x2b2b806b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x23acbab9, "nvme_change_ctrl_state" },
	{ 0xde00cf50, "_dev_info" },
	{ 0x5e84d855, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xab24795c, "nvme_alloc_io_tag_set" },
	{ 0xf48ff18e, "nvme_fail_nonready_command" },
	{ 0xb7741476, "kobject_uevent_env" },
	{ 0x5c51bbb6, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x4b31447a, "device_create" },
	{ 0xba4eb841, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x1fb0b57b, "__blk_rq_map_sg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf0e1509d, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6dc3b775, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x432b7a86, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x14229680, "nvme_enable_ctrl" },
	{ 0xfc534d83, "nvme_unquiesce_admin_queue" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9f087ff, "nvme_unquiesce_io_queues" },
	{ 0x9ca5b0f7, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf76eab69, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1c0c7ab3, "nvmf_should_reconnect" },
	{ 0xd242a858, "__dma_sync_single_for_device" },
	{ 0x48014931, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa14d8e7d, "device_destroy" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x537a99ee, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xe5f8d065, "nvmf_register_transport" },
	{ 0x6ab44abb, "blk_mq_start_request" },
	{ 0x3f472402, "nvme_quiesce_io_queues" },
	{ 0xb278d982, "blk_mq_tagset_busy_iter" },
	{ 0x5f9a027a, "nvme_stop_ctrl" },
	{ 0x4ddef698, "dma_unmap_sg_attrs" },
	{ 0x777dbfd7, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xc19014b1, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x129ea696, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6b8453df, "class_register" },
	{ 0xf3f2b186, "__nvme_check_ready" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x813b895e, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfecbc999, "nvme_add_ctrl" },
	{ 0x77ae7fd7, "nvme_remove_admin_tag_set" },
	{ 0x2c89e52, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd5ec19c5, "nvme_uninit_ctrl" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x44cd6283, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e367bfa, "nvmf_free_options" },
	{ 0x2020f432, "nvmf_subsystem_reset" },
	{ 0x3292264d, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb6292112, "nvme_stop_keep_alive" },
	{ 0x859200a6, "blk_mq_complete_request_remote" },
	{ 0x666d351c, "dma_unmap_page_attrs" },
	{ 0x885bd4bc, "nvme_setup_cmd" },
	{ 0x46af07c, "nvme_start_ctrl" },
	{ 0x87d8fd00, "nvme_alloc_admin_tag_set" },
	{ 0x2bff2546, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x7d502ca0, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x25db766, "nvme_delete_ctrl" },
	{ 0xc14938a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75687bd9, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x875a1485, "dev_driver_string" },
	{ 0xfce6b0c1, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf964ca1a, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xdc04dde4, "nvme_remove_io_tag_set" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "D0A9EE095A0308CB2E36927");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
