#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x8fb56b82, "");
SYMBOL_CRC(sas_remove_host, 0x082dbc04, "");
SYMBOL_CRC(sas_get_address, 0x16253c1a, "");
SYMBOL_CRC(sas_tlr_supported, 0xf1194dc5, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x774d7ddd, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x9e551866, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xba509fe6, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x4186aba9, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xb86a36b7, "");
SYMBOL_CRC(sas_phy_add, 0x6f7db87e, "");
SYMBOL_CRC(sas_phy_free, 0x107d475d, "");
SYMBOL_CRC(sas_phy_delete, 0xe7fe757f, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x0e88e556, "");
SYMBOL_CRC(sas_port_alloc, 0x0a824919, "");
SYMBOL_CRC(sas_port_alloc_num, 0x98b05e7d, "");
SYMBOL_CRC(sas_port_add, 0x6a62072c, "");
SYMBOL_CRC(sas_port_free, 0x4a1b63a1, "");
SYMBOL_CRC(sas_port_delete, 0x2abb9473, "");
SYMBOL_CRC(scsi_is_sas_port, 0xb6dbd6af, "");
SYMBOL_CRC(sas_port_get_phy, 0xa42eeee5, "");
SYMBOL_CRC(sas_port_add_phy, 0x6110c8ef, "");
SYMBOL_CRC(sas_port_delete_phy, 0x883a3b5d, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xf1a21b6e, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x06d77289, "");
SYMBOL_CRC(sas_end_device_alloc, 0xa0887f26, "");
SYMBOL_CRC(sas_expander_alloc, 0x98c6ca10, "");
SYMBOL_CRC(sas_rphy_add, 0x1d61a568, "");
SYMBOL_CRC(sas_rphy_free, 0x9ea697dd, "");
SYMBOL_CRC(sas_rphy_delete, 0x90c5d5ca, "");
SYMBOL_CRC(sas_rphy_unlink, 0x65159baf, "");
SYMBOL_CRC(sas_rphy_remove, 0x97bfbe88, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xe07e0ea2, "");
SYMBOL_CRC(sas_attach_transport, 0xe19f5a05, "");
SYMBOL_CRC(sas_release_transport, 0xfa1eb476, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xa534bc80, "attribute_container_register" },
	{ 0xd1da7a69, "scsi_get_vpd_page" },
	{ 0xf96e9ff2, "scsi_mode_sense" },
	{ 0x515a1447, "attribute_container_unregister" },
	{ 0xbc9ab4fc, "scsi_remove_host" },
	{ 0xb7567aab, "bsg_remove_queue" },
	{ 0x3a82871b, "scsi_remove_target" },
	{ 0xe179deba, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x98698f07, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc743456d, "dma_opt_mapping_size" },
	{ 0xc00d8807, "device_initialize" },
	{ 0xdc55f1f2, "dev_set_name" },
	{ 0x8c150e48, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd6d22f1, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2b2b806b, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xb88cb862, "device_add" },
	{ 0x861c87a8, "transport_add_device" },
	{ 0x4c5e060c, "transport_configure_device" },
	{ 0x6d1fe87e, "device_del" },
	{ 0x12654452, "transport_destroy_device" },
	{ 0x5ee28423, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc14938a, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8ac96018, "sysfs_remove_link" },
	{ 0xdeaa66e1, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xbac63906, "_dev_printk" },
	{ 0x377498e7, "scsi_scan_target" },
	{ 0x50349308, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xb5e011c9, "transport_class_register" },
	{ 0x8a249fd1, "transport_class_unregister" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
