#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0xefde17b8, "");
SYMBOL_CRC(ssb_bus_suspend, 0x80f3d382, "");
SYMBOL_CRC(ssb_bus_unregister, 0x0e940fa3, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x39c83ba8, "");
SYMBOL_CRC(__ssb_driver_register, 0x297012e1, "");
SYMBOL_CRC(ssb_driver_unregister, 0x8ccbfe6a, "");
SYMBOL_CRC(ssb_set_devtypedata, 0xd89ea6b0, "");
SYMBOL_CRC(ssb_clockspeed, 0x2851aa64, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x13336692, "");
SYMBOL_CRC(ssb_device_enable, 0xab4dc4fc, "");
SYMBOL_CRC(ssb_device_disable, 0x457e6d1d, "");
SYMBOL_CRC(ssb_dma_translation, 0xd489e209, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0xb82624c8, "");
SYMBOL_CRC(ssb_bus_powerup, 0xd95421db, "");
SYMBOL_CRC(ssb_commit_settings, 0x1ff3a162, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xdf02e42e, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0xba59a006, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x29e9a73b, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x05411f9f, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x2ef7f506, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x4c23065f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x253dfd1d, "gpiochip_get_data" },
	{ 0xd012db09, "bus_unregister" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x13a273cf, "pcmcia_request_window" },
	{ 0x687954ad, "pci_read_config_word" },
	{ 0x13a4c77b, "sdio_readl" },
	{ 0xc244cb7b, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xceade124, "pcmcia_write_config_byte" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9b49472, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa7d9d0dc, "device_register" },
	{ 0xa65dbc61, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x42c13d1e, "sdio_writel" },
	{ 0x9fc60503, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xe9963a86, "gpiochip_add_data_with_key" },
	{ 0x49219824, "_dev_emerg" },
	{ 0xa65eec64, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x32a0338c, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x70796b60, "pci_disable_device" },
	{ 0xf1e9d75e, "sdio_writesb" },
	{ 0xc5513bf1, "pcmcia_read_config_byte" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3a377494, "pcmcia_register_driver" },
	{ 0x1d452c18, "pci_write_config_word" },
	{ 0x9e85b974, "pcmcia_loop_tuple" },
	{ 0xb7ea633d, "pcmcia_enable_device" },
	{ 0x7796ee1, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x65a2ca66, "pci_write_config_dword" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xd3289d5, "device_remove_file" },
	{ 0x46a3afc3, "bus_register" },
	{ 0xba837b4f, "sdio_readb" },
	{ 0x69c853ed, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf75dea62, "pci_save_state" },
	{ 0x36f1d596, "sdio_release_host" },
	{ 0x1d3269c, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x5778f89, "pci_enable_device" },
	{ 0x3d5db101, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdc55f1f2, "dev_set_name" },
	{ 0x80b65521, "sdio_claim_host" },
	{ 0x95f8aa4b, "pci_iomap" },
	{ 0x741bced8, "sdio_readw" },
	{ 0x67bdffaa, "device_unregister" },
	{ 0xbe1a2e13, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd9e9a150, "__pci_register_driver" },
	{ 0x25f774f4, "pcmcia_unregister_driver" },
	{ 0x155e7ddb, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xc427a69b, "pcmcia_map_mem_page" },
	{ 0xbd3adc95, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x1c3ac337, "sdio_writew" },
	{ 0xc14938a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xfb194ea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x875a1485, "dev_driver_string" },
	{ 0x29141ff8, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b2b806b, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xde00cf50, "_dev_info" },
	{ 0x2954e5ff, "device_create_file" },
	{ 0xa9cd7ffa, "sdio_readsb" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "pcmcia,mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "54236BC607DE79873B8967A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
