#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x75e71a85, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x2925c448, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x404868ca, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x1293f283, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x49786104, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x7210e43f, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x58d6a3ee, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0xebb26b84, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0xebf2a2b5, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x53c49092, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x4bb3d9f1, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x07eac448, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0xa70b968d, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0xb7c24dc4, "_gpl");
SYMBOL_CRC(gether_suspend, 0xfcff0475, "_gpl");
SYMBOL_CRC(gether_resume, 0xd3abb927, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0xc8387cf0, "_gpl");
SYMBOL_CRC(gether_disconnect, 0xe128f983, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0xef68552c, "dev_addr_mod" },
	{ 0x8c49496e, "register_netdev" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xde00cf50, "_dev_info" },
	{ 0x4f4b6fab, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0xcdcc6086, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x446830c6, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x2e3f755e, "__netdev_alloc_skb" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xcac1a7ec, "dev_kfree_skb_any_reason" },
	{ 0xada5256, "netif_tx_wake_queue" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x229ccc93, "netif_carrier_on" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xa81d4230, "skb_put" },
	{ 0x7ca75de3, "skb_dequeue" },
	{ 0xa96be7af, "skb_queue_tail" },
	{ 0xd7424cd5, "eth_type_trans" },
	{ 0x3f73bf49, "netif_rx" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x872005fb, "alloc_etherdev_mqs" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4232f23c, "usb_func_wakeup" },
	{ 0x1e48f012, "usb_gadget_wakeup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b01e5ef, "eth_mac_addr" },
	{ 0xcd4aad5e, "eth_validate_addr" },
	{ 0x76494b38, "ethtool_op_get_link" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "778C22C6102DA480283AC31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
