#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x100ea4b8, "usb_kill_urb" },
	{ 0xa440a8e7, "usb_alloc_urb" },
	{ 0x8828081a, "usb_alloc_streams" },
	{ 0x68c37291, "scsi_report_bus_reset" },
	{ 0x82713f0, "usb_anchor_urb" },
	{ 0xba50cb89, "usb_submit_urb" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7eec5e1f, "usb_unanchor_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x187731de, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xbc9ab4fc, "scsi_remove_host" },
	{ 0xf205ea48, "scsi_host_put" },
	{ 0x875ab8b6, "usb_lock_device_for_reset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2ea203aa, "usb_stor_adjust_quirks" },
	{ 0x884c58ab, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc5b5641e, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0xa965d0fe, "sdev_prefix_printk" },
	{ 0x63bc8104, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x27ff45c6, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe58ae38c, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x91e6fe42, "usb_set_interface" },
	{ 0x59d6eff5, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf9cc1075, "scsi_block_requests" },
	{ 0xbac63906, "_dev_printk" },
	{ 0xee58bdb8, "scsi_unblock_requests" },
	{ 0x3f32c1c0, "scmd_printk" },
	{ 0xac8dd84b, "scsi_print_command" },
	{ 0x5474a2d1, "scsi_scan_host" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0x824b68a4, "usb_free_urb" },
	{ 0x242e3b55, "_dev_err" },
	{ 0xe179deba, "scsi_is_host_device" },
	{ 0x86f25543, "scsi_change_queue_depth" },
	{ 0xe48c9075, "usb_deregister" },
	{ 0xb5ae9aba, "usb_get_urb" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,scsi_common,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "57A00333B5A01FF5D3BD6FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
