#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x14e78b1d, "");
SYMBOL_CRC(w1_remove_master_device, 0x2743570e, "");
SYMBOL_CRC(w1_register_family, 0x0f3781bd, "");
SYMBOL_CRC(w1_unregister_family, 0xe328520d, "");
SYMBOL_CRC(w1_touch_bit, 0x098d9f40, "_gpl");
SYMBOL_CRC(w1_write_8, 0x8767885e, "_gpl");
SYMBOL_CRC(w1_triplet, 0x42b37cc2, "_gpl");
SYMBOL_CRC(w1_read_8, 0x59fd698b, "_gpl");
SYMBOL_CRC(w1_write_block, 0x57217186, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x9a29250c, "_gpl");
SYMBOL_CRC(w1_read_block, 0xbb2481dd, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0xd914b8f8, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x305b0bdb, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x34cb69cb, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x83633ee6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9b3bf5, "cn_netlink_send_mult" },
	{ 0x2b2b806b, "put_device" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xde00cf50, "_dev_info" },
	{ 0x27512cc1, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xd012db09, "bus_unregister" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xfb961ac0, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc244cb7b, "driver_unregister" },
	{ 0xd674c892, "sysfs_create_group" },
	{ 0x79cec0c, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa7d9d0dc, "device_register" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0xd49f7ed4, "kthread_create_on_node" },
	{ 0xccf60726, "pv_ops" },
	{ 0xb02442b1, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xa9f4d9a1, "kobject_uevent" },
	{ 0xa26459e8, "hwmon_device_unregister" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x4b280e27, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7796ee1, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xda50bc9e, "cn_add_callback" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x46a3afc3, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdc55f1f2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x67bdffaa, "device_unregister" },
	{ 0xff4db609, "sysfs_remove_groups" },
	{ 0x6f416fe3, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1601a0e0, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
