#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a3755c9, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc39d7b92, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4d7c6a5b, "netfs_invalidate_folio" },
	{ 0xd384c683, "p9stat_free" },
	{ 0x5641274e, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4039d3c, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x775a5b6e, "netfs_clear_inode_writeback" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd825a8fa, "p9_client_create" },
	{ 0xdcead049, "posix_acl_valid" },
	{ 0x4ee5a9ad, "make_kuid" },
	{ 0x88aeaa7e, "truncate_inode_pages_final" },
	{ 0xf96cccdb, "fs_kobj" },
	{ 0xa6fc0ca0, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0x892834db, "simple_nosetlease" },
	{ 0x29bbae5b, "netfs_page_mkwrite" },
	{ 0xae72ef69, "xattr_full_name" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x94ec90c0, "inode_init_once" },
	{ 0x79e0a068, "file_write_and_wait_range" },
	{ 0x251caa2d, "p9_client_setattr" },
	{ 0xb72570bf, "copy_splice_read" },
	{ 0x5ad1957a, "__fscache_relinquish_volume" },
	{ 0x405b2f1e, "p9_client_xattrwalk" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x3077997e, "netfs_file_write_iter" },
	{ 0x971d939e, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x187efcdb, "set_cached_acl" },
	{ 0xb9f63218, "p9_client_destroy" },
	{ 0x6846a2ef, "p9_client_unlinkat" },
	{ 0xe968f091, "setattr_copy" },
	{ 0xe64eaeff, "get_cached_acl" },
	{ 0x7351a6ce, "set_nlink" },
	{ 0x9bf0f0b4, "kmem_cache_alloc_lru_noprof" },
	{ 0xd4ef2876, "kmem_cache_free" },
	{ 0xf2d4899, "p9_client_mkdir_dotl" },
	{ 0x5793c7ce, "d_move" },
	{ 0x6a3296b0, "netfs_release_folio" },
	{ 0x5e9ada7d, "p9_client_xattrcreate" },
	{ 0x75d71597, "iov_iter_kvec" },
	{ 0x3339426d, "sget" },
	{ 0xc2c81407, "p9_client_create_dotl" },
	{ 0x50da16c8, "p9_client_lock_dotl" },
	{ 0xd674c892, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2437e048, "finish_no_open" },
	{ 0xc122448d, "p9_client_write" },
	{ 0x53d05f70, "p9_client_walk" },
	{ 0xe292c7fa, "do_trace_9p_fid_put" },
	{ 0xf78e18e3, "netfs_dirty_folio" },
	{ 0x6e8428a7, "netfs_read_subreq_terminated" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc90d250e, "p9_show_client_options" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x6e76e467, "p9_client_read" },
	{ 0xd53b7bf, "inode_owner_or_capable" },
	{ 0xc397b3f2, "p9_client_fsync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95bd8f96, "p9dirent_read" },
	{ 0xa7ff1953, "p9_client_symlink" },
	{ 0xa18b753e, "make_kgid" },
	{ 0x8fc3290a, "__kmem_cache_create_args" },
	{ 0x5b661003, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd5640a5e, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcd5baa7c, "truncate_setsize" },
	{ 0x97f4e53d, "p9_client_readlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfa6497b9, "p9_is_proto_dotl" },
	{ 0xb02442b1, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8976ebaf, "noop_direct_IO" },
	{ 0xf14b59d3, "p9_client_clunk" },
	{ 0x4619758, "super_setup_bdi" },
	{ 0x41ce9823, "p9stat_read" },
	{ 0xe41b2937, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1aa4097d, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6d6cda14, "p9_client_statfs" },
	{ 0x4a8e73d8, "init_user_ns" },
	{ 0x9358cf8a, "p9_client_link" },
	{ 0x5ee34b27, "inc_nlink" },
	{ 0x62f90674, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x3e7be6cd, "p9_client_stat" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb54bb7f, "seq_printf" },
	{ 0x89f8948a, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x95861cb6, "deactivate_locked_super" },
	{ 0xd379da0f, "__tracepoint_9p_fid_ref" },
	{ 0xcf0e56fe, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x8b577fba, "generic_file_open" },
	{ 0xd33424bf, "is_bad_inode" },
	{ 0xc6658531, "p9_client_begin_disconnect" },
	{ 0xe0d15f98, "__fscache_use_cookie" },
	{ 0x38002216, "p9_client_getlock_dotl" },
	{ 0xf2904d22, "netfs_unbuffered_read_iter" },
	{ 0x699f2f25, "filemap_splice_read" },
	{ 0xc8365485, "posix_acl_to_xattr" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xcfc747c6, "kill_anon_super" },
	{ 0xf868cf4f, "from_kuid_munged" },
	{ 0x95665aec, "iget5_locked" },
	{ 0xdf71ff3f, "filemap_write_and_wait_range" },
	{ 0xf2ba86a7, "do_trace_9p_fid_get" },
	{ 0xc647b828, "p9_client_readdir" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x4c803cb1, "filemap_fault" },
	{ 0xdfa2b388, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5f0a613d, "generic_file_llseek" },
	{ 0x53b954a2, "up_read" },
	{ 0xc6c5cc2, "p9_client_mknod_dotl" },
	{ 0x98ca5e02, "set_anon_super" },
	{ 0x4ff2d90f, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x55ebe934, "iget_failed" },
	{ 0xb2537f08, "kmem_cache_destroy" },
	{ 0xa044f2b1, "__fscache_acquire_cookie" },
	{ 0x37d59f4f, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x5b9fb431, "posix_test_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0x86cefc61, "inode_init_owner" },
	{ 0xbc059efd, "filemap_fdatawrite" },
	{ 0xd0df5b30, "generic_fillattr" },
	{ 0x32f6cb1e, "p9_client_getattr_dotl" },
	{ 0x5ae686e6, "p9_client_wstat" },
	{ 0x630e7941, "setattr_prepare" },
	{ 0xb08e631d, "p9_client_open" },
	{ 0x7286d7bf, "clear_nlink" },
	{ 0x893bb738, "p9_client_rename" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x36b99725, "d_instantiate" },
	{ 0x182c2e56, "clear_inode" },
	{ 0xcd47c835, "__fscache_acquire_volume" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7b1bd519, "__fscache_resize_cookie" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb8eca8ec, "filemap_map_pages" },
	{ 0x41f96a49, "netfs_unpin_writeback" },
	{ 0x4937767f, "netfs_file_read_iter" },
	{ 0xac2642ba, "init_special_inode" },
	{ 0x5f095a2, "unregister_filesystem" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x256081b, "simple_statfs" },
	{ 0xde715412, "d_make_root" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x968205a5, "invalidate_mapping_pages" },
	{ 0xc2b50ff9, "__fscache_unuse_cookie" },
	{ 0x2516130c, "netfs_unbuffered_write_iter" },
	{ 0x4b1de892, "always_delete_dentry" },
	{ 0xa9ea17aa, "p9_client_remove" },
	{ 0x30c6d210, "d_splice_alias" },
	{ 0x429fdff9, "ihold" },
	{ 0x99062e21, "p9_client_renameat" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x68eb7e38, "finish_open" },
	{ 0x32c5cae6, "generic_file_readonly_mmap" },
	{ 0xe5ad827f, "netfs_writepages" },
	{ 0x69727597, "iter_file_splice_write" },
	{ 0x6c24433a, "p9_client_fcreate" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc099090a, "p9_is_proto_dotu" },
	{ 0x67969d99, "__fscache_relinquish_cookie" },
	{ 0xff382eb3, "register_filesystem" },
	{ 0xb9c1ab83, "p9_client_disconnect" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9fce73a0, "netfs_readahead" },
	{ 0xed8c2c37, "p9_client_attach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "netfs,9pnet");


MODULE_INFO(srcversion, "414E751B35D3877D3657210");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
