#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0x726aa1b8, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x87fe748d, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x1091ea1b, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x4283d23b, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0xb4b34ccf, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0xb6df8ccd, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0x613221d7, "_gpl");
SYMBOL_CRC(inet_diag_register, 0xe74e22ae, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x766868cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7031d0b6, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0xc832376a, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1de06e28, "module_put" },
	{ 0xa09f471, "__netlink_dump_start" },
	{ 0xb5297bf8, "sock_diag_unregister" },
	{ 0x95bb9d92, "sock_diag_unregister_inet_compat" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x71af7882, "sock_diag_register" },
	{ 0x5749806c, "sock_diag_register_inet_compat" },
	{ 0x54a6af0f, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0xacbf90b4, "inet6_lookup" },
	{ 0xc0681642, "sock_diag_check_cookie" },
	{ 0xf81bab14, "sock_gen_put" },
	{ 0xfd399ab6, "__inet_lookup_established" },
	{ 0xe596de23, "__inet_lookup_listener" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xca6dc38c, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ae364d7, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x154d772b, "bpf_sk_storage_diag_put" },
	{ 0xa916b694, "strnlen" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb7397b42, "__alloc_skb" },
	{ 0x2d12f038, "sk_skb_reason_drop" },
	{ 0x3de20c9, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x27f88391, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4ae5badb, "sock_diag_save_cookie" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xe7e7e9a8, "sock_i_uid" },
	{ 0xf868cf4f, "from_kuid_munged" },
	{ 0x751ca2c, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7759c38f, "skb_trim" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "90F85384506243E4694C237");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
