#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0x7309d61a, "");
SYMBOL_CRC(snd_ac97_read, 0xf899e079, "");
SYMBOL_CRC(snd_ac97_write_cache, 0xece620a2, "");
SYMBOL_CRC(snd_ac97_update, 0x233fe8f6, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xed080c1f, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x839053f6, "");
SYMBOL_CRC(snd_ac97_bus, 0xbcd8acca, "");
SYMBOL_CRC(snd_ac97_mixer, 0xbe8daf37, "");
SYMBOL_CRC(snd_ac97_update_power, 0xb3783f20, "");
SYMBOL_CRC(snd_ac97_suspend, 0x372f7266, "");
SYMBOL_CRC(snd_ac97_resume, 0x0ec83d7b, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0xac2fc21f, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x5393f836, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x40b325c4, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x3b18fb8f, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0xee7774c0, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0x21b595bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xf0e5139e, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1696c97f, "snd_ctl_make_virtual_master" },
	{ 0x321abf73, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xc1458b57, "snd_ctl_boolean_mono_info" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x687954ad, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa15decc9, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa946ce7a, "snd_ctl_rename" },
	{ 0xa7d9d0dc, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x16d8989d, "snd_device_new" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcffe48cc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xeb54bb7f, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9aaf3667, "snd_info_create_card_entry" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x4b280e27, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x19c3517d, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdc55f1f2, "dev_set_name" },
	{ 0xef6032af, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x67bdffaa, "device_unregister" },
	{ 0xe687b688, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0x6808ac4e, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x97717d06, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2b2b806b, "put_device" },
	{ 0x6de15a10, "snd_ctl_remove_id" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
