#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xaa141b7e, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xf8fb0e96, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x2464340c, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0xff218e8d, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x7f8ed608, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xd4e7372d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c7b0a8c, "snd_soc_component_write" },
	{ 0x95fe8926, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xae37c081, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x68263f12, "device_property_read_u32_array" },
	{ 0x1dee0451, "snd_soc_get_enum_double" },
	{ 0x3df5533f, "i2c_register_driver" },
	{ 0xfc380ef5, "snd_soc_info_volsw" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x845c7e5f, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x87c65fdd, "snd_soc_dapm_force_bias_level" },
	{ 0x4eecbeba, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x220231c2, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0xa3bf42a3, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5df2f3ef, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x4bebbc52, "devm_clk_get_optional" },
	{ 0x5dd6adaf, "snd_soc_get_volsw" },
	{ 0x52d12fbe, "regmap_read" },
	{ 0xce9ab578, "snd_soc_put_volsw" },
	{ 0xd47dd5e, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x923df568, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x86a40be5, "regmap_update_bits_base" },
	{ 0x6e96be66, "snd_soc_dapm_get_volsw" },
	{ 0x9d3fb3e6, "__devm_add_action" },
	{ 0xbb0bd011, "i2c_del_driver" },
	{ 0xc63893ea, "regmap_register_patch" },
	{ 0xccd9f3c3, "snd_soc_dapm_get_enum_double" },
	{ 0x13049a22, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbb3c1669, "snd_soc_dapm_put_enum_double" },
	{ 0x743e8883, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x72fd323a, "device_property_present" },
	{ 0x84202f59, "regcache_cache_only" },
	{ 0x9bd6feec, "regcache_sync" },
	{ 0x116862ec, "regmap_write" },
	{ 0x851aeaba, "devm_kmalloc" },
	{ 0x85be1f56, "snd_soc_jack_report" },
	{ 0xee417990, "snd_soc_component_read" },
	{ 0x6ce7adf0, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xec085444, "gpiod_to_irq" },
	{ 0xf04d7be0, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6cd215a9, "snd_soc_put_enum_double" },
	{ 0x8f6f3cff, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7f6ce6e, "gpiod_get_value" },
	{ 0xfbc3be2f, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x7e93d02f, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
