#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x9139a85b, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x28899003, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x7b328842, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x8660233e, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x4859203a, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x9007ad31, "");
SYMBOL_CRC(hda_dsp_probe, 0x7aeeb4c5, "");
SYMBOL_CRC(hda_dsp_remove, 0x7b476adc, "");
SYMBOL_CRC(hda_power_down_dsp, 0xfc25a4a4, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x230cc378, "");
SYMBOL_CRC(sof_hda_common_ops, 0xefca22a9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x851aeaba, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x41882e7d, "pci_alloc_irq_vectors" },
	{ 0x53389e02, "intel_nhlt_get_dmic_geo" },
	{ 0x954fd086, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0xe2fb8d06, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x4bfced67, "hda_sdw_process_wakeen" },
	{ 0x2d720745, "hda_sdw_int_enable" },
	{ 0x2731ab9f, "hda_bus_ml_init" },
	{ 0xd88161ca, "hda_codec_probe_bus" },
	{ 0xc9109514, "sof_hda_bus_exit" },
	{ 0xd2724fa7, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x2cd76f9d, "sdw_intel_exit" },
	{ 0xee99ff4a, "hda_codec_check_for_state_change" },
	{ 0x99fd5484, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xdec03e09, "sdw_hda_dai_trigger" },
	{ 0xd726e748, "hda_bus_ml_free" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0x1581b7c0, "hda_dsp_cl_boot_firmware" },
	{ 0x6dbeaccb, "hda_dsp_pcm_hw_params" },
	{ 0x600b01ac, "hda_sdw_check_lcount" },
	{ 0x999deed5, "snd_intel_dsp_driver_probe" },
	{ 0x1784d313, "pci_irq_vector" },
	{ 0x8a215e80, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xa44ea401, "pci_ioremap_bar" },
	{ 0xf6bb73fc, "hda_dsp_ctrl_init_chip" },
	{ 0x6e484179, "sdw_hda_dai_hw_free" },
	{ 0xd9d29073, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4786b2, "hda_dsp_suspend" },
	{ 0x588410ed, "hda_dsp_runtime_suspend" },
	{ 0xc48a49ad, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x56ebd757, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xdbb981db, "hda_dai_config" },
	{ 0xfdd3c83e, "hda_probes_unregister" },
	{ 0x1df2436c, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x10d2b028, "hda_dsp_pcm_ack" },
	{ 0x2e22c250, "hda_dsp_trace_release" },
	{ 0xbc713fb5, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xde00cf50, "_dev_info" },
	{ 0xd8d25c18, "hda_dsp_dump" },
	{ 0x1119a41e, "sdw_intel_startup" },
	{ 0xbdc60282, "hda_dsp_pcm_pointer" },
	{ 0x1953e840, "sdw_intel_process_wakeen_event" },
	{ 0xbf2e095c, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4d84606, "sof_mailbox_read" },
	{ 0xc52d6647, "hda_bus_ml_put_all" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x685c1030, "debugfs_create_bool" },
	{ 0x65ea6e75, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb76d6ec1, "__tracepoint_sof_intel_hda_irq" },
	{ 0x9aff5cdd, "platform_device_unregister" },
	{ 0xb0f4c2f7, "hda_dsp_trace_init" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0xa2aa6bdf, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0xe498a3ea, "hda_codec_device_remove" },
	{ 0xf8c171bb, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x74f2937d, "snd_sof_dsp_update_bits" },
	{ 0xb66888a6, "snd_sof_pci_update_bits" },
	{ 0x5bd6354c, "sof_hda_bus_init" },
	{ 0xac7701bf, "hda_dsp_runtime_idle" },
	{ 0x916002e8, "hda_dsp_pcm_open" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x6bf4faaf, "sdw_intel_lnl_hw_ops" },
	{ 0x9fc60503, "pci_set_master" },
	{ 0x4ed1143e, "param_ops_charp" },
	{ 0x3989dc67, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x3e7c3754, "hda_dsp_pcm_close" },
	{ 0xc06464b2, "dma_set_coherent_mask" },
	{ 0x66241fd1, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xeb73b2f4, "hda_check_ipc_irq" },
	{ 0x87d3fdd8, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3673022f, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6cf84e62, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93e8d956, "sof_machine_unregister" },
	{ 0x65b7b41a, "skl_dai" },
	{ 0x34a7e7df, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x28ae3719, "sdw_intel_probe" },
	{ 0x50c41493, "snd_sof_load_firmware_raw" },
	{ 0x7c4d8afb, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x9b6a916, "hda_is_chain_dma_supported" },
	{ 0xf03034fe, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x800185ce, "dma_set_mask" },
	{ 0x85620611, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0xa99cc3c6, "dev_err_probe" },
	{ 0x46c9ac8a, "hda_dsp_stream_init" },
	{ 0x8967a1fc, "hda_dsp_get_stream_ldp" },
	{ 0xaa447075, "hda_dsp_stream_free" },
	{ 0xfdf2d582, "hda_dsp_ctrl_get_caps" },
	{ 0x4b280e27, "param_ops_int" },
	{ 0xd65878f6, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x34e8c4d1, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xf7b6a6ad, "hda_codec_i915_init" },
	{ 0x93065d50, "pci_free_irq_vectors" },
	{ 0x974fe7ec, "hda_dsp_check_stream_irq" },
	{ 0xc4a209a9, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x31c8946c, "hda_dsp_ipc_get_window_offset" },
	{ 0x3aa7ce7a, "hda_ipc_msg_data" },
	{ 0xf776b659, "sof_machine_register" },
	{ 0x7502cb4f, "hdac_bus_eml_get_mutex" },
	{ 0x3089c6e9, "snd_soc_acpi_intel_hda_machines" },
	{ 0xe37eb4fa, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x24a11ad6, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x24e5bafc, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc1d448f4, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xc17b6ca8, "hda_get_interface_mask" },
	{ 0xfec1f94e, "hda_codec_i915_display_power" },
	{ 0x2c188c02, "is_acpi_device_node" },
	{ 0x119563fc, "hda_dsp_pcm_trigger" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "504D6412EB6F6100D2A5658");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
