#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x229434ff, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x70ed67f8, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xd2b7b782, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x7dba2077, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xb58916ea, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x9828a48e, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xdb906aff, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xe9d027bd, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x39a8114b, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x0599d49b, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x20b88bad, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x8eb08d0b, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x7ef69177, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x86604e08, "crypto_register_template" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7326ea10, "crypto_enqueue_request" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x87f791ee, "crypto_grab_aead" },
	{ 0x96164ecb, "crypto_grab_shash" },
	{ 0x8e2dbe14, "shash_no_setkey" },
	{ 0x50b48a0b, "ahash_register_instance" },
	{ 0xf4acb377, "crypto_grab_skcipher" },
	{ 0xd8ebccbd, "skcipher_register_instance" },
	{ 0x2be9f0ae, "aead_register_instance" },
	{ 0x85dbc22d, "crypto_skcipher_decrypt" },
	{ 0x9846eca3, "crypto_skcipher_encrypt" },
	{ 0xc77d4d3a, "shash_ahash_digest" },
	{ 0xdcfd452, "shash_ahash_finup" },
	{ 0xc1c6595f, "crypto_shash_final" },
	{ 0x49bda6bd, "shash_ahash_update" },
	{ 0xbb8caeec, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6519f3c2, "crypto_alloc_skcipher" },
	{ 0x7dddf88, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7553e843, "crypto_alloc_ahash" },
	{ 0x99459012, "crypto_alloc_aead" },
	{ 0x43261867, "crypto_skcipher_setkey" },
	{ 0x88056ff2, "crypto_spawn_tfm2" },
	{ 0xbb146965, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7473d6, "crypto_shash_setkey" },
	{ 0xeaa90012, "crypto_shash_import" },
	{ 0xa2c9fa1d, "crypto_shash_export" },
	{ 0x555407e8, "crypto_clone_shash" },
	{ 0xadafceb7, "crypto_aead_setauthsize" },
	{ 0x8ed2f458, "crypto_aead_setkey" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0x9e47d45b, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7008234d, "crypto_unregister_template" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE601D458BFDA37FC7B6285");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
