#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x95622b2f, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x8c5d2676, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x93ad19f7, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xedced16e, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xdcd7b67c, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xd871d7f2, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xa998154c, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x469361f5, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x5658776c, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x769d4a9e, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xc33b0116, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x9571bdba, "_gpl");
SYMBOL_CRC(mhi_notify, 0x82854b4c, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x783ee23d, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x0135a1f6, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xc4ef3848, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x6f6bfab8, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xa370251e, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xba34297d, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xc280a696, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x1ac880e7, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x2099e586, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x548d8713, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xb38ad136, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xa75cbb15, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xd41a8ad3, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xf3cf9312, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xfc9504a6, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x97d5d0e4, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x6fdfd13e, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xc2395187, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xfe93e6ea, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xb3f42333, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x39f63ba3, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc14938a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x875a1485, "dev_driver_string" },
	{ 0x15978e7c, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf964ca1a, "dma_map_page_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x5916855a, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2b2b806b, "put_device" },
	{ 0x14666761, "sysfs_remove_file_ns" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xde00cf50, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4f1ae3d2, "perf_trace_run_bpf_submit" },
	{ 0xd012db09, "bus_unregister" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x4841e5b9, "device_wakeup_enable" },
	{ 0xb88cb862, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x281f0777, "dma_alloc_attrs" },
	{ 0x5d9a2921, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf8ef130a, "seq_putc" },
	{ 0xcd387065, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc244cb7b, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6d1fe87e, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4664ee4e, "bpf_trace_run3" },
	{ 0x4e120073, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x90d41141, "debugfs_create_file" },
	{ 0xfb064bf8, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x1a957411, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x62f90674, "seq_write" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb54bb7f, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4c5734cf, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf5400ded, "single_open" },
	{ 0xc28aa90b, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7796ee1, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x46a3afc3, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x964b7166, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd3fad94d, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe24e8cb2, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdc55f1f2, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5722ae5, "trace_raw_output_prep" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8b6ea4b6, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x666d351c, "dma_unmap_page_attrs" },
	{ 0x291bd813, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3b7915a1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc00d8807, "device_initialize" },
	{ 0x275a531c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0xfd6d22f1, "device_for_each_child" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34FDD70FBB8371846BB26BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
