#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6567ca9, "irq_domain_instantiate" },
	{ 0x58beb21a, "irq_create_mapping_affinity" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x137344a9, "handle_simple_irq" },
	{ 0xec6a3f53, "irq_set_chip_and_handler_name" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x2914bdea, "__dev_fwnode_const" },
	{ 0x71c7d3cb, "fwnode_property_match_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x72fd323a, "device_property_present" },
	{ 0xce9f5c6a, "i2c_smbus_write_byte_data" },
	{ 0xf54b883b, "i2c_smbus_write_byte" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0xefeb0676, "regulator_disable" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x89ae7b1d, "irq_domain_remove" },
	{ 0xeb57f856, "i2c_mux_del_adapters" },
	{ 0xd3289d5, "device_remove_file" },
	{ 0x57668eef, "i2c_client_get_device_id" },
	{ 0x8d77c47b, "i2c_mux_alloc" },
	{ 0x88c6f6eb, "devm_regulator_get" },
	{ 0x886eba12, "regulator_enable" },
	{ 0xd1745d1a, "__devm_reset_control_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4e62ea70, "device_get_match_data" },
	{ 0xf87a6412, "i2c_get_device_id" },
	{ 0x68263f12, "device_property_read_u32_array" },
	{ 0x9a85a4ed, "i2c_mux_add_adapter" },
	{ 0xa99cc3c6, "dev_err_probe" },
	{ 0xfbc3be2f, "devm_gpiod_get_optional" },
	{ 0xbfb096bd, "devm_request_threaded_irq" },
	{ 0x6ce7adf0, "gpiod_set_value_cansleep" },
	{ 0x2954e5ff, "device_create_file" },
	{ 0xde00cf50, "_dev_info" },
	{ 0x5b793621, "__i2c_smbus_xfer" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3df5533f, "i2c_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41448089, "i2c_smbus_read_byte" },
	{ 0x6472b7d3, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb0bd011, "i2c_del_driver" },
	{ 0xacb62f65, "irq_domain_simple_ops" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "i2c-mux");

MODULE_ALIAS("of:N*T*Cmaxim,max7356");
MODULE_ALIAS("of:N*T*Cmaxim,max7356C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7357");
MODULE_ALIAS("of:N*T*Cmaxim,max7357C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7358");
MODULE_ALIAS("of:N*T*Cmaxim,max7358C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7367");
MODULE_ALIAS("of:N*T*Cmaxim,max7367C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7368");
MODULE_ALIAS("of:N*T*Cmaxim,max7368C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7369");
MODULE_ALIAS("of:N*T*Cmaxim,max7369C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9540");
MODULE_ALIAS("of:N*T*Cnxp,pca9540C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9542");
MODULE_ALIAS("of:N*T*Cnxp,pca9542C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9543");
MODULE_ALIAS("of:N*T*Cnxp,pca9543C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9544");
MODULE_ALIAS("of:N*T*Cnxp,pca9544C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9545");
MODULE_ALIAS("of:N*T*Cnxp,pca9545C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9546");
MODULE_ALIAS("of:N*T*Cnxp,pca9546C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9547");
MODULE_ALIAS("of:N*T*Cnxp,pca9547C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9548");
MODULE_ALIAS("of:N*T*Cnxp,pca9548C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9846");
MODULE_ALIAS("of:N*T*Cnxp,pca9846C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9847");
MODULE_ALIAS("of:N*T*Cnxp,pca9847C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9848");
MODULE_ALIAS("of:N*T*Cnxp,pca9848C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9849");
MODULE_ALIAS("of:N*T*Cnxp,pca9849C*");
MODULE_ALIAS("i2c:max7356");
MODULE_ALIAS("i2c:max7357");
MODULE_ALIAS("i2c:max7358");
MODULE_ALIAS("i2c:max7367");
MODULE_ALIAS("i2c:max7368");
MODULE_ALIAS("i2c:max7369");
MODULE_ALIAS("i2c:pca9540");
MODULE_ALIAS("i2c:pca9542");
MODULE_ALIAS("i2c:pca9543");
MODULE_ALIAS("i2c:pca9544");
MODULE_ALIAS("i2c:pca9545");
MODULE_ALIAS("i2c:pca9546");
MODULE_ALIAS("i2c:pca9547");
MODULE_ALIAS("i2c:pca9548");
MODULE_ALIAS("i2c:pca9846");
MODULE_ALIAS("i2c:pca9847");
MODULE_ALIAS("i2c:pca9848");
MODULE_ALIAS("i2c:pca9849");

MODULE_INFO(srcversion, "314C36DD1807BA28552C51F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
