#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x6644b324, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xce2d738b, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xdd0cf23c, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x49e39b75, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xabb7d3c4, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x57603f26, "");
SYMBOL_CRC(cx88_wakeup, 0xd3b31bfb, "");
SYMBOL_CRC(cx88_shutdown, 0xb428ac31, "");
SYMBOL_CRC(cx88_reset, 0xbcf20d99, "");
SYMBOL_CRC(cx88_set_scale, 0xc3537266, "");
SYMBOL_CRC(cx88_set_tvnorm, 0xa123d4ad, "");
SYMBOL_CRC(cx88_vdev_init, 0xed47d45a, "");
SYMBOL_CRC(cx88_core_get, 0x71c66fe4, "");
SYMBOL_CRC(cx88_core_put, 0x878ed995, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xe3c2398f, "");
SYMBOL_CRC(cx88_newstation, 0xba48b665, "");
SYMBOL_CRC(cx88_get_stereo, 0x23ff804d, "");
SYMBOL_CRC(cx88_set_stereo, 0x621eed1f, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x0b770874, "");
SYMBOL_CRC(cx88_ir_start, 0x24ae1bed, "");
SYMBOL_CRC(cx88_ir_stop, 0x0b8b3ea4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x638f0cce, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x1808a5d1, "i2c_smbus_xfer" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0xbd85d113, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x817291a8, "rc_keyup" },
	{ 0xcd36af16, "__v4l2_ctrl_grab" },
	{ 0x446bf8cb, "i2c_unregister_device" },
	{ 0x4fb04c1e, "tveeprom_read" },
	{ 0x63807df6, "rc_keydown_notimeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7000fb9d, "rc_register_device" },
	{ 0x281f0777, "dma_alloc_attrs" },
	{ 0x6a948f04, "rc_keydown" },
	{ 0x6adc8bb6, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfc75cb8, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x53aa0a7a, "freezing_slow_path" },
	{ 0xdc9453af, "rc_free_device" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x81fc1acb, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x526ac835, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xde49cd66, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x30392e54, "v4l2_ctrl_handler_free" },
	{ 0xebd41b61, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x9f8b08fe, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xaa46d2d2, "v4l2_i2c_new_subdev" },
	{ 0xd03c9f41, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4b280e27, "param_ops_int" },
	{ 0x1bd17bde, "ir_raw_event_store_with_filter" },
	{ 0xc249a4e, "i2c_smbus_read_byte_data" },
	{ 0x13d06a7c, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf4f943d, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x32d460bb, "ir_raw_event_handle" },
	{ 0xbb8caeec, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4d699363, "i2c_bit_add_bus" },
	{ 0x712de76a, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x3322676f, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
