#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0xc3742252, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0xf7be6126, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xceef5f44, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x91f7025f, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xfb7289aa, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0x0504fdcd, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x448ce1ca, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0xa399b359, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x6056206d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0xbe654cb, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa2afd120, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xba50cb89, "usb_submit_urb" },
	{ 0xde00cf50, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xbd85d113, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2163ae85, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7000fb9d, "rc_register_device" },
	{ 0x890b040f, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc129b1e5, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc9453af, "rc_free_device" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6977a8ed, "dvb_frontend_detach" },
	{ 0x3a57ccbe, "i2c_add_adapter" },
	{ 0xff904539, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x526ac835, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46817398, "dvb_unregister_frontend" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x100ea4b8, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4669a896, "__media_device_usb_init" },
	{ 0x1dad5cc7, "dvb_frontend_resume" },
	{ 0x243a5e10, "dvb_register_frontend" },
	{ 0x404cc907, "dvb_frontend_suspend" },
	{ 0xfae88def, "dvb_create_media_graph" },
	{ 0x9c32a137, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x4b280e27, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf4f943d, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x43ed1c5b, "dvb_dmxdev_init" },
	{ 0xa440a8e7, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6042dd0d, "media_device_unregister" },
	{ 0x824b68a4, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x291bd813, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1463137, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
