#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x6488096f, "");
SYMBOL_CRC(go7007_read_addr, 0x2ebe683c, "");
SYMBOL_CRC(go7007_boot_encoder, 0x87e7d7ee, "");
SYMBOL_CRC(go7007_register_encoder, 0x48dac3fe, "");
SYMBOL_CRC(go7007_parse_video_stream, 0xe0fe8480, "");
SYMBOL_CRC(go7007_alloc, 0x45fef4bf, "");
SYMBOL_CRC(go7007_update_board, 0xaff72862, "");
SYMBOL_CRC(go7007_snd_init, 0x4dbb2ffb, "");
SYMBOL_CRC(go7007_snd_remove, 0xaecdab5a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92755f21, "snd_pcm_set_managed_buffer_all" },
	{ 0x4ed1143e, "param_ops_charp" },
	{ 0xbb96211d, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6fde67d4, "vb2_fop_read" },
	{ 0x81fc1acb, "v4l2_device_register" },
	{ 0x3a57ccbe, "i2c_add_adapter" },
	{ 0x7fac6482, "snd_card_disconnect" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcffe48cc, "param_ops_bool" },
	{ 0xfd7a03b8, "__video_register_device" },
	{ 0xe01c0760, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5ef4d26a, "vb2_ioctl_streamon" },
	{ 0xcaf5d4f1, "vb2_fop_poll" },
	{ 0x16acbfc0, "v4l2_ctrl_new_std" },
	{ 0xde4e1cc7, "v4l2_ctrl_g_ctrl" },
	{ 0x30392e54, "v4l2_ctrl_handler_free" },
	{ 0x9f8b08fe, "v4l2_device_unregister" },
	{ 0xb2b38b2b, "v4l2_subdev_call_wrappers" },
	{ 0x6f687989, "snd_pcm_period_elapsed" },
	{ 0xe657593f, "v4l2_ctrl_log_status" },
	{ 0x907f1a1b, "v4l2_event_queue" },
	{ 0x4b280e27, "param_ops_int" },
	{ 0x13d06a7c, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x673183e1, "v4l2_event_unsubscribe" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x80b1054c, "vb2_ioctl_reqbufs" },
	{ 0x71a1a312, "vb2_queue_init" },
	{ 0xd98329ea, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x318bf01a, "v4l2_device_put" },
	{ 0x1a150a47, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe59256c4, "snd_pcm_new" },
	{ 0xd89a6810, "snd_card_register" },
	{ 0x8d804b83, "v4l2_i2c_new_subdev_board" },
	{ 0x9c64d0d1, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x291bd813, "request_firmware" },
	{ 0x644d5b9b, "vb2_ops_wait_finish" },
	{ 0x712de76a, "v4l2_ctrl_handler_init_class" },
	{ 0x3322676f, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1c79060, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9326dc9a, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7815c945, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xc085735f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xde00cf50, "_dev_info" },
	{ 0xbd85d113, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc6b9536c, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcd36af16, "__v4l2_ctrl_grab" },
	{ 0x262b7475, "vb2_ioctl_dqbuf" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x6309f34a, "v4l2_ctrl_new_custom" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7dd880e4, "snd_card_free_when_closed" },
	{ 0x6adc8bb6, "vb2_buffer_done" },
	{ 0x9afbf753, "vb2_plane_vaddr" },
	{ 0xb423054a, "v4l2_ctrl_subscribe_event" },
	{ 0x469228c, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x483c2ee9, "v4l2_event_subscribe" },
	{ 0xe33fab7e, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5e027eeb, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x16d8989d, "snd_device_new" },
	{ 0xa1a692f4, "vb2_vmalloc_memops" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,videodev,videobuf2-v4l2,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5B5234BB82F944373BA4134");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
