#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x01896ab0, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x59f004da, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x16eabc5b, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xf9a4e799, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xb679a67a, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xf2e0f025, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x38fc11b5, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x3625021a, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x640dcd09, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xee5d0a61, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x0f7f7246, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x4bf1efc6, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x2030a84b, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x18274283, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xe49e0466, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xc0e78e5a, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x124656e6, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x93a42240, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x254c3c6d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xc54ff278, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xf382f2dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb21db0e1, "mdiobus_write" },
	{ 0xf86bfbd6, "mdiobus_read" },
	{ 0xb86a360b, "phy_write_mmd" },
	{ 0x9d42987c, "phy_modify" },
	{ 0xf6ebea15, "phy_trigger_machine" },
	{ 0xfe78cb6d, "phy_error" },
	{ 0xd007df03, "phy_modify_changed" },
	{ 0x62eb25af, "genphy_update_link" },
	{ 0x69eeda, "genphy_read_lpa" },
	{ 0xc4bcfa63, "phy_resolve_aneg_pause" },
	{ 0xf0a12ab1, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x242e3b55, "_dev_err" },
	{ 0xf9e41acd, "phy_read_mmd" },
	{ 0xa22829aa, "ethnl_cable_test_result_with_src" },
	{ 0x3177b962, "ethnl_cable_test_fault_length_with_src" },
	{ 0xf66b18e7, "phy_modify_mmd" },
	{ 0x6d6f10c8, "genphy_soft_reset" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
