#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xa78992a4, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xcc5d37f3, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x63ac010c, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x00dbd4be, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x87c90797, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xbfe860b7, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x011d17f0, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x3e5c8540, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x06005cf7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x50f120f7, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x23ad30e4, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x4dcf90aa, "cdev_init" },
	{ 0xcd3e42be, "cdev_add" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0xcd01993d, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7c6962ff, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x27f88391, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf1428cc, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb8dd8538, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x546f09ab, "skb_copy_datagram_iter" },
	{ 0x551c9073, "_copy_to_iter" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe8c43528, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x153e6942, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47a88364, "skb_push" },
	{ 0x5e707c90, "__skb_gso_segment" },
	{ 0xaa5a5d6b, "skb_checksum_help" },
	{ 0x3733b84, "kfree_skb_list_reason" },
	{ 0x4a33f22, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xd6791bd4, "__skb_flow_dissect" },
	{ 0x10a2ac7d, "skb_partial_csum_set" },
	{ 0xd04991e8, "__pskb_pull_tail" },
	{ 0x7953db48, "sock_alloc_send_pskb" },
	{ 0xa81d4230, "skb_put" },
	{ 0x966bbe18, "zerocopy_sg_from_iter" },
	{ 0x5b539355, "__dev_queue_xmit" },
	{ 0x380e7cdb, "_copy_from_iter" },
	{ 0x26c1d1fa, "skb_copy_datagram_from_iter" },
	{ 0xc69f8027, "iov_iter_npages" },
	{ 0x7182914b, "iov_iter_revert" },
	{ 0x64ac4e1c, "skb_copy_bits" },
	{ 0xa8a1337, "build_skb" },
	{ 0xb713d8dd, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d12f038, "sk_skb_reason_drop" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E0A76EEA8D0FE967377492B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
