#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x1cb35144, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x45244a86, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x44a41a14, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x4535f0d4, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xf5690cfa, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xb6ec42fb, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x8eb027c6, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x8c74179e, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x297df5a6, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0xf5e17ada, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x4c442346, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x8fb5f83f, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x3187b090, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x724d1dda, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x851aeaba, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0xce8dd85d, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb384f60, "skb_pull" },
	{ 0x70e8c384, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x7f4b3756, "ath9k_hw_set_txpowerlimit" },
	{ 0x19699475, "ath_hw_keyreset" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
