#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x55df072a, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x8cc1e1bc, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x18007e92, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x9abfdd3c, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x94fb9479, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xeffeae02, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xfc33d6c2, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x5d6f0c08, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x809a0311, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x4aa4e9e5, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x03141587, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xd8dad1ec, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xaf46c7a0, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x7aca21da, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xcd38c26b, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xefb70194, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x71087aae, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x7b08febc, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x5d60ca4b, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xe1fa5d7f, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xe1052527, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x8875b622, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xfde5cbb3, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x18eaba0f, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xfcc937fa, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x5a046888, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xccefb756, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x0da5809c, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xe82a6031, "_gpl");
SYMBOL_CRC(rt2800_config, 0x5995a298, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xc59ab8cb, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x0ad26834, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xfa8fd701, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x9426fc27, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x64a14df1, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xd77058ba, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x4d5efb10, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xfd11fcea, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x693fc8b2, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xc484a818, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x3ff29add, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x8d5ff5e4, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x9afe65c0, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xa3317db5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x47a88364, "skb_push" },
	{ 0xcac1a7ec, "dev_kfree_skb_any_reason" },
	{ 0xfc1a9cc3, "__skb_pad" },
	{ 0xb161cc0d, "rt2x00lib_txdone_noinfo" },
	{ 0xb86f46fa, "ieee80211_restart_hw" },
	{ 0xcb384f60, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xde00cf50, "_dev_info" },
	{ 0x3e46cde8, "rt2x00lib_set_mac_address" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xbb8caeec, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xac99dc46, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x841ccf03, "rt2x00lib_txdone" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0x3a22929f, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfe6b8cad, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa7b0be86, "rt2x00mac_conf_tx" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "9E1A111AF9AF06F91AEF468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
