#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x62d56084, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xcd791dcd, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x9918b7e6, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xa0930182, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x24a7f292, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x527d4dea, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xe10f52f8, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x25e85eed, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x60e55b9f, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xa72f3dac, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x9a41defb, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xeffcf227, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x5b9a3d31, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xf972784d, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x7ba6b2be, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x48056265, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x5e1a374e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x9ac064b5, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x3c36332e, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x44ba514f, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x07e0dff7, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x6738f4fa, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x750da584, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x76032a8a, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xe1453dd6, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xe1417e67, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x0be1bdab, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x8e90dd10, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x27b827c0, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xd0c6d5fb, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x5c75c46d, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x480814ac, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xf38d52a6, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x7ccbdf55, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xd1a0ed9e, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xb8c70398, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x0a9e90a1, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x368aedeb, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x454add42, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xbf2f8480, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x50bb84e2, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xd9167b72, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xf00df835, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x638c73dc, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6bdb4429, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c595067, "iscsi_host_remove" },
	{ 0x3639f2bf, "pci_dev_put" },
	{ 0x8830ff68, "iscsi_host_free" },
	{ 0x3fbd8c3d, "iscsi_host_alloc" },
	{ 0x699df766, "pci_dev_get" },
	{ 0x97521632, "iscsi_host_add" },
	{ 0xf205ea48, "scsi_host_put" },
	{ 0x2d12f038, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x578bc5b1, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x946fe83f, "iscsi_conn_queue_xmit" },
	{ 0xfb3f6ed9, "__kfree_skb" },
	{ 0x3689d31c, "iscsi_tcp_cleanup_task" },
	{ 0xb5988afc, "cxgbi_ppm_ppod_release" },
	{ 0x4ddef698, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x214fc44, "iscsi_tcp_conn_setup" },
	{ 0xd9f9ddbe, "iscsi_session_setup" },
	{ 0x1de2469f, "iscsi_tcp_r2tpool_alloc" },
	{ 0x565366de, "iscsi_session_teardown" },
	{ 0x9810a61d, "iscsi_tcp_r2tpool_free" },
	{ 0x3c076bf7, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbac63906, "_dev_printk" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x72931b93, "iscsi_host_get_param" },
	{ 0xd52d8f5a, "iscsi_unregister_transport" },
	{ 0x35281767, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd7700bbf, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xb6b2542e, "iscsi_register_transport" },
	{ 0x4dd7e9ca, "init_net" },
	{ 0x25bb063a, "ip6_route_output_flags" },
	{ 0x6e3bfae6, "iscsi_tcp_set_max_r2t" },
	{ 0x312db40c, "iscsi_set_param" },
	{ 0xb7397b42, "__alloc_skb" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad66d4ad, "cxgbi_ppm_ppods_reserve" },
	{ 0x813b895e, "dma_map_sg_attrs" },
	{ 0x26040531, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6874ba0d, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x70835c26, "iscsi_tcp_recv_skb" },
	{ 0x77e36568, "iscsi_lookup_endpoint" },
	{ 0x26156248, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe0c73032, "iscsi_tcp_hdr_recv_prep" },
	{ 0x44201b5d, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x379f85bd, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc24db815, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x471f2db6, "__folio_put" },
	{ 0x9563c4d4, "__put_devmap_managed_folio_refs" },
	{ 0x1de06e28, "module_put" },
	{ 0x7c0cbf68, "iscsi_destroy_endpoint" },
	{ 0x4b1b222c, "ipv6_dev_get_saddr" },
	{ 0xbdf0c078, "neigh_destroy" },
	{ 0x4ee5a9ad, "make_kuid" },
	{ 0x60cdea61, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xf7fb9426, "iscsi_create_endpoint" },
	{ 0x2f90e691, "__ip_dev_find" },
	{ 0xa81d4230, "skb_put" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x601bbdb2, "iscsi_itt_to_ctask" },
	{ 0xbb8caeec, "param_ops_uint" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
