#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ohci_hub_status_data, "_gpl", "");
KSYMTAB_FUNC(ohci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ohci_setup, "_gpl", "");
KSYMTAB_FUNC(ohci_restart, "_gpl", "");
KSYMTAB_FUNC(ohci_suspend, "_gpl", "");
KSYMTAB_FUNC(ohci_resume, "_gpl", "");
KSYMTAB_FUNC(ohci_init_driver, "_gpl", "");

SYMBOL_CRC(ohci_hub_status_data, 0xc1a6c242, "_gpl");
SYMBOL_CRC(ohci_hub_control, 0x967c03e9, "_gpl");
SYMBOL_CRC(ohci_setup, 0xa31f7d29, "_gpl");
SYMBOL_CRC(ohci_restart, 0x54854f23, "_gpl");
SYMBOL_CRC(ohci_suspend, 0xac91d213, "_gpl");
SYMBOL_CRC(ohci_resume, 0x0b9f0e6c, "_gpl");
SYMBOL_CRC(ohci_init_driver, 0x2a94cc35, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xa4cda567, "usb_hcd_link_urb_to_ep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0xc94e2029, "usb_hcd_check_unlink_urb" },
	{ 0xa9528549, "usb_hc_died" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xfb064bf8, "dma_free_attrs" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x90d41141, "debugfs_create_file" },
	{ 0xc7d9c06f, "dma_pool_create" },
	{ 0x281f0777, "dma_alloc_attrs" },
	{ 0x964b7166, "device_set_wakeup_capable" },
	{ 0x9d6ead3, "usb_root_hub_lost_power" },
	{ 0xfd1d5558, "usb_hcd_resume_root_hub" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9e2d7b3e, "usb_hcd_poll_rh_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcffe48cc, "param_ops_bool" },
	{ 0xffb8b680, "default_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x57f9ce72, "usb_hcd_unlink_urb_from_ep" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa6f2fdaf, "usb_hcd_giveback_urb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc20e3e81, "sb800_prefetch" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x96848186, "scnprintf" },
	{ 0x5d9a2921, "debugfs_remove" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x3d210724, "gen_pool_dma_zalloc_align" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x37b94122, "usb_debug_root" },
	{ 0xc28aa90b, "debugfs_create_dir" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3C01155FDA007AE9D945A69");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
