#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xb75b8306, "");
SYMBOL_CRC(jbd2_journal_start, 0xfd0a3302, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x06e6b11b, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xc10cb9f7, "");
SYMBOL_CRC(jbd2__journal_restart, 0x67a44bbc, "");
SYMBOL_CRC(jbd2_journal_restart, 0xd4f9cead, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x32aafe84, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x5ce57b3a, "");
SYMBOL_CRC(jbd2_journal_extend, 0x9f9931f7, "");
SYMBOL_CRC(jbd2_journal_stop, 0x64511a31, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xad805f5d, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xff7b54ad, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x06f99c09, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x959b55b3, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x89fc0546, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xbade90be, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xf013ab80, "");
SYMBOL_CRC(jbd2_journal_forget, 0xa03315ed, "");
SYMBOL_CRC(jbd2_journal_flush, 0x2708476d, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xd04a3c07, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xe8501fa8, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xc8baf392, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xa96a3fd4, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x2eb788a2, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x40cbff6a, "");
SYMBOL_CRC(jbd2_journal_load, 0x91a20d72, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x726f19c9, "");
SYMBOL_CRC(jbd2_journal_abort, 0x4ff36556, "");
SYMBOL_CRC(jbd2_journal_errno, 0xfff3822e, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xa0ed0586, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x4494db68, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xac38bd10, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x179fe600, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x33a87def, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x31324863, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x357babda, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xa5857352, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x619c9aba, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xb5be0c15, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x60b9726a, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xf6ff8725, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x68462ae5, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xd1cf0297, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xa5976689, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x163c2447, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x5fb05958, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x8da22092, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x1c077d07, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xcfca9424, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x67a3c9b8, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xb6af26a3, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xd03cbdb7, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x0f8acf9c, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x96947ba1, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x5117c01c, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x4b953c4e, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x91422d66, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x7c3cc97d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15978e7c, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x7dddf88, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd00dcaf9, "try_to_free_buffers" },
	{ 0xe62504a, "sync_blockdev" },
	{ 0x36aa4f61, "free_buffer_head" },
	{ 0xe96292be, "shrinker_register" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x98ae5c5e, "blk_finish_plug" },
	{ 0xee929335, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x56c62dce, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4f1ae3d2, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf1a0ecd3, "__bh_read_batch" },
	{ 0x3a9ed52d, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8d5768e2, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4ef2876, "kmem_cache_free" },
	{ 0xc01845c6, "__bh_read" },
	{ 0xcd387065, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xdd2353d6, "blkdev_issue_zeroout" },
	{ 0xfb2b1393, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdc458f22, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x53aa0a7a, "freezing_slow_path" },
	{ 0x35b28bed, "bpf_trace_run1" },
	{ 0xcaf4f4e0, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a44e604, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8fc3290a, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd49f7ed4, "kthread_create_on_node" },
	{ 0x4664ee4e, "bpf_trace_run3" },
	{ 0x4e120073, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa02c3b1b, "unlock_buffer" },
	{ 0x1a957411, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x471f2db6, "__folio_put" },
	{ 0xc9a12e35, "remove_proc_entry" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb54bb7f, "seq_printf" },
	{ 0x6063e015, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x409986c4, "truncate_inode_pages_range" },
	{ 0x4f249a85, "blkdev_issue_flush" },
	{ 0xc01ef004, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x735ad1aa, "end_buffer_write_sync" },
	{ 0xb40df69f, "seq_open" },
	{ 0x8e25a5f3, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xce3ec937, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0xb2537f08, "kmem_cache_destroy" },
	{ 0xc76d480d, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xf49a5b89, "bh_uptodate_or_lock" },
	{ 0x9d911174, "shrinker_alloc" },
	{ 0x54edd854, "blk_start_plug" },
	{ 0xd3fad94d, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7a641fe2, "folio_unlock" },
	{ 0x3768ccb9, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf5722ae5, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6a076e7d, "bpf_trace_run6" },
	{ 0x48406c2c, "mark_buffer_dirty" },
	{ 0x2ccd6811, "__find_get_block" },
	{ 0x8b6ea4b6, "__trace_trigger_soft_disabled" },
	{ 0x783a4250, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3b7915a1, "trace_event_printf" },
	{ 0x4ac72ef2, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x83ee701c, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x275a531c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7ac3886, "iput" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0x565af3d3, "seq_lseek" },
	{ 0x6b095bc7, "blockdev_superblock" },
	{ 0x68c90f4c, "proc_create_data" },
	{ 0x39f63ba3, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdeababb, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb2d34a74, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9356f819, "alloc_buffer_head" },
	{ 0x1601a0e0, "wake_up_process" },
	{ 0x994799bc, "shrinker_free" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DB03486CEA6A176A21FA4B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
