#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbbe66e3f, "sync_mapping_buffers" },
	{ 0xfa572630, "dquot_initialize" },
	{ 0xd6268984, "__filemap_get_folio" },
	{ 0xe4ffa879, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0x6287894b, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x91fc00b7, "block_commit_write" },
	{ 0xee929335, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1839729, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x94ec90c0, "inode_init_once" },
	{ 0x79e0a068, "file_write_and_wait_range" },
	{ 0xb40148ba, "qtree_write_dquot" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0x95a66956, "mark_page_accessed" },
	{ 0xee0e669c, "debugfs_attr_read" },
	{ 0x3c92e4db, "seq_escape_mem" },
	{ 0x7eef1430, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0x4494db68, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x56c62dce, "__brelse" },
	{ 0x9e0d6a66, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4f1ae3d2, "perf_trace_run_bpf_submit" },
	{ 0xc8baf392, "jbd2_journal_init_inode" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x4ff36556, "jbd2_journal_abort" },
	{ 0xca37b55a, "generic_file_read_iter" },
	{ 0x3d52ba52, "inode_maybe_inc_iversion" },
	{ 0x8a6eb113, "unlock_page" },
	{ 0x971d939e, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0xea31e43c, "qtree_release_dquot" },
	{ 0x187efcdb, "set_cached_acl" },
	{ 0x3a38dd45, "simple_attr_release" },
	{ 0xa747b2c7, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x888869c, "dquot_resume" },
	{ 0x3a9ed52d, "bpf_trace_run5" },
	{ 0xe968f091, "setattr_copy" },
	{ 0xa5976689, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8d5768e2, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7351a6ce, "set_nlink" },
	{ 0x9bf0f0b4, "kmem_cache_alloc_lru_noprof" },
	{ 0xd4ef2876, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5d9a2921, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x9610705e, "security_inode_init_security" },
	{ 0x5793c7ce, "d_move" },
	{ 0xf8ef130a, "seq_putc" },
	{ 0xc5324036, "from_kgid" },
	{ 0x97886cbe, "qtree_read_dquot" },
	{ 0xc01845c6, "__bh_read" },
	{ 0xcd387065, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x179fe600, "jbd2_journal_start_commit" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xdd2353d6, "blkdev_issue_zeroout" },
	{ 0x83bd8df1, "mpage_writepages" },
	{ 0xa0ed0586, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0xc0ae8a4a, "ocfs2_plock" },
	{ 0xb6b90ed9, "kobject_init_and_add" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd15edaba, "write_inode_now" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5fb05958, "jbd2_trans_will_send_data_barrier" },
	{ 0x9f9931f7, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3bf5e43b, "__audit_inode_child" },
	{ 0xa400f855, "d_obtain_alias" },
	{ 0x9563c4d4, "__put_devmap_managed_folio_refs" },
	{ 0x79cec0c, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3937b209, "__seq_open_private" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x39f11669, "ocfs2_kset" },
	{ 0xfa4444ce, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbdf81e8a, "dquot_alloc_inode" },
	{ 0x35b28bed, "bpf_trace_run1" },
	{ 0x8b36ed21, "bpf_trace_run9" },
	{ 0xf013ab80, "jbd2_journal_dirty_metadata" },
	{ 0xfa26a950, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf014fdab, "generic_remap_file_range_prep" },
	{ 0x115c46b3, "__insert_inode_hash" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf9b58704, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc83e3919, "debugfs_create_u32" },
	{ 0x3a44e604, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x886084a5, "register_quota_format" },
	{ 0xa18b753e, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x31324863, "jbd2_journal_wipe" },
	{ 0xa7b17158, "d_delete" },
	{ 0x8fc3290a, "__kmem_cache_create_args" },
	{ 0xfd0a3302, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc8dda169, "unregister_quota_format" },
	{ 0xd49f7ed4, "kthread_create_on_node" },
	{ 0x6ae65240, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x4664ee4e, "bpf_trace_run3" },
	{ 0x4e120073, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x726f19c9, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x672aba7a, "generic_llseek_cookie" },
	{ 0xbd25b763, "__dquot_alloc_space" },
	{ 0xa02c3b1b, "unlock_buffer" },
	{ 0x90d41141, "debugfs_create_file" },
	{ 0xe45d6306, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1aa4097d, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x5ecff207, "kobject_del" },
	{ 0x1a957411, "trace_event_buffer_reserve" },
	{ 0x2ce032da, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0x49027d17, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa7b44abb, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8b370fe, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa96a3fd4, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x4a8e73d8, "init_user_ns" },
	{ 0x41b6ca3a, "inode_set_ctime_current" },
	{ 0x5ee34b27, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x471f2db6, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb54bb7f, "seq_printf" },
	{ 0x89f8948a, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20888eb9, "__percpu_down_read" },
	{ 0xb5be0c15, "jbd2_journal_force_commit" },
	{ 0x6063e015, "__lock_buffer" },
	{ 0x89fc0546, "jbd2_journal_get_undo_access" },
	{ 0xb79bf8e8, "qtree_get_next_id" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xac38bd10, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xcf0e56fe, "posix_acl_update_mode" },
	{ 0x409986c4, "truncate_inode_pages_range" },
	{ 0x5d586b32, "__folio_lock" },
	{ 0x467e569e, "pagecache_get_page" },
	{ 0x4f249a85, "blkdev_issue_flush" },
	{ 0xd33424bf, "is_bad_inode" },
	{ 0xca0a0b4f, "rcuwait_wake_up" },
	{ 0xade22791, "block_is_partially_uptodate" },
	{ 0x7c3cc97d, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x699f2f25, "filemap_splice_read" },
	{ 0xe564c351, "done_path_create" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x48f26428, "seq_release_private" },
	{ 0x735ad1aa, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x95665aec, "iget5_locked" },
	{ 0x434e6fa0, "__generic_file_write_iter" },
	{ 0xad805f5d, "jbd2_journal_lock_updates" },
	{ 0xdf71ff3f, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe6b278af, "bpf_trace_run7" },
	{ 0xba854970, "clean_bdev_aliases" },
	{ 0xfff3822e, "jbd2_journal_errno" },
	{ 0xdcdef031, "generic_write_checks" },
	{ 0xf0d18425, "dqget" },
	{ 0x6fde35cb, "inode_permission" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7118c1c5, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0x2096e7f5, "dquot_quotactl_sysfile_ops" },
	{ 0x4c803cb1, "filemap_fault" },
	{ 0xc28aa90b, "debugfs_create_dir" },
	{ 0xdfa2b388, "__mark_inode_dirty" },
	{ 0x5f0a613d, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x963a29c8, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x163c2447, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0x10ae1b49, "dquot_load_quota_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x313907af, "put_pid" },
	{ 0x4ff2d90f, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2708476d, "jbd2_journal_flush" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x42c635c9, "kobject_get" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0xb2537f08, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9e15ea6, "kset_create_and_add" },
	{ 0xc76d480d, "blkdev_issue_discard" },
	{ 0x37d59f4f, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x610efe96, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xf49a5b89, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0x86cefc61, "inode_init_owner" },
	{ 0xbc059efd, "filemap_fdatawrite" },
	{ 0xd0df5b30, "generic_fillattr" },
	{ 0x630e7941, "setattr_prepare" },
	{ 0x7286d7bf, "clear_nlink" },
	{ 0xb6af26a3, "jbd2_complete_transaction" },
	{ 0x52b2b55e, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x36b99725, "d_instantiate" },
	{ 0xd5567ea2, "simple_attr_open" },
	{ 0xcf8a19e2, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x182c2e56, "clear_inode" },
	{ 0xd3fad94d, "bpf_trace_run4" },
	{ 0xf3ae040f, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0x9fdec4cf, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x17d4af86, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x14c13d37, "dquot_free_inode" },
	{ 0x7a641fe2, "folio_unlock" },
	{ 0x91422d66, "jbd2_journal_grab_journal_head" },
	{ 0xc1b0ddc0, "mode_strip_sgid" },
	{ 0xb0e602eb, "memmove" },
	{ 0xdb83cef0, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x48db0f98, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64511a31, "jbd2_journal_stop" },
	{ 0xf5722ae5, "trace_raw_output_prep" },
	{ 0x3b45c2dc, "forget_all_cached_acls" },
	{ 0xac2642ba, "init_special_inode" },
	{ 0x5f095a2, "unregister_filesystem" },
	{ 0x60b9726a, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6a076e7d, "bpf_trace_run6" },
	{ 0xd4f9cead, "jbd2_journal_restart" },
	{ 0x48406c2c, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb75588e5, "generic_error_remove_folio" },
	{ 0x2ccd6811, "__find_get_block" },
	{ 0x8b6ea4b6, "__trace_trigger_soft_disabled" },
	{ 0x783a4250, "filemap_fdatawrite_range" },
	{ 0xbade90be, "jbd2_journal_set_triggers" },
	{ 0xad95e2e, "__block_write_begin" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb37ec0e1, "inode_query_iversion" },
	{ 0x2d41db90, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd6ca3bd1, "nop_posix_acl_access" },
	{ 0x91a20d72, "jbd2_journal_load" },
	{ 0x7ad5c8d0, "nop_posix_acl_default" },
	{ 0xde715412, "d_make_root" },
	{ 0x3b7915a1, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x40cbff6a, "jbd2_journal_set_features" },
	{ 0xa60d7caa, "sb_set_blocksize" },
	{ 0xe8ac63f2, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x77323118, "end_buffer_read_sync" },
	{ 0x4470fb44, "fsnotify" },
	{ 0x30c6d210, "d_splice_alias" },
	{ 0xff7b54ad, "jbd2_journal_unlock_updates" },
	{ 0xf13903ef, "current_time" },
	{ 0x275a531c, "trace_event_raw_init" },
	{ 0xd6ce59b0, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb88c5594, "unmap_mapping_range" },
	{ 0x429fdff9, "ihold" },
	{ 0x3c9d320f, "page_get_link" },
	{ 0xdeabe592, "inode_dio_wait" },
	{ 0x8216a849, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7ac3886, "iput" },
	{ 0x7bba2d72, "kset_unregister" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x565af3d3, "seq_lseek" },
	{ 0x459c02d4, "wrap_directory_iterator" },
	{ 0x4b953c4e, "jbd2_journal_clear_features" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0x69727597, "iter_file_splice_write" },
	{ 0x39f63ba3, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x68462ae5, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xff382eb3, "register_filesystem" },
	{ 0x2bb6099e, "dq_data_lock" },
	{ 0xdeababb, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8f42b95a, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xef5e7d95, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb2d34a74, "submit_bh" },
	{ 0x53d8ad59, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d7bfd13, "shrink_dcache_parent" },
	{ 0x8e62c801, "user_path_at" },
	{ 0xc6df223b, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0x1601a0e0, "wake_up_process" },
	{ 0x15978e7c, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x835d9361, "dquot_scan_active" },
	{ 0x8864ca6c, "qtree_entry_unused" },
	{ 0xc39d7b92, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd0be36e7, "inode_newsize_ok" },
	{ 0x1fb864d8, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xfb83ab95, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x6de44d7e, "mnt_want_write_file" },
	{ 0x5641274e, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xe69a5ed1, "block_invalidate_folio" },
	{ 0x4297ae74, "make_kprojid" },
	{ 0xd1cf0297, "jbd2_journal_init_jbd_inode" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x6f99c09, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4ee5a9ad, "make_kuid" },
	{ 0xd00dcaf9, "try_to_free_buffers" },
	{ 0x1bc497d4, "create_empty_buffers" },
	{ 0x88aeaa7e, "truncate_inode_pages_final" },
	{ 0xe62504a, "sync_blockdev" },
	{ 0xa5587c5d, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,ocfs2_nodemanager,quota_tree,jbd2");


MODULE_INFO(srcversion, "BAB37DA3A0C7CD1D5A5EC7C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
