#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x515cb813, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x191c11e1, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x34c7a619, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xe5e66bfa, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x60ef824c, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x8d9e893c, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x2f46c067, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xb38e7252, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xb49e950a, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xf1b3f963, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xa60af829, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x591d1503, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x47382581, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xcbd56c6a, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x5ea224ce, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x615c0b4b, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x7af14d6d, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0xee3e465f, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x076eb303, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x7e08cac9, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xc0eba78c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x4ff28a5b, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0xac23269c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x14e43280, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x41b7de04, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0x40dba7db, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xf7be75f8, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x3d2680cf, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xcde9d8de, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0xdfefd82b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2b2b806b, "put_device" },
	{ 0x8490ccc3, "devlink_resource_register" },
	{ 0xf643e69b, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x6e186af6, "netif_device_detach" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb88ae88c, "switchdev_bridge_port_offload" },
	{ 0xd17defda, "netif_device_attach" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x1de06e28, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbeda7b43, "ptp_classify_raw" },
	{ 0xba7ea159, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xa0a4e35f, "devlink_region_create" },
	{ 0x6bdb4429, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8f3bfec3, "__dev_get_by_index" },
	{ 0x2adac17a, "rtnl_link_unregister" },
	{ 0x4f1ae3d2, "perf_trace_run_bpf_submit" },
	{ 0x39e8cd11, "devlink_port_unregister" },
	{ 0x242e3b55, "_dev_err" },
	{ 0x4dd7e9ca, "init_net" },
	{ 0xbd75bc86, "noop_qdisc" },
	{ 0xc3b44d4f, "phy_ethtool_get_strings" },
	{ 0x17b7e2f9, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x46baccb6, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d12f038, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x872f31a8, "dev_remove_pack" },
	{ 0x3a9ed52d, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3e8522fe, "gro_cells_receive" },
	{ 0x6dfe2f6, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x47a88364, "skb_push" },
	{ 0xdf3a1d59, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xcb363b4c, "dev_mc_del" },
	{ 0xcd387065, "trace_event_reg" },
	{ 0x9f6b3c56, "br_vlan_get_info" },
	{ 0x446830c6, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x71ec02b4, "mdiobus_free" },
	{ 0xd674c892, "sysfs_create_group" },
	{ 0x59ad381f, "devlink_resource_occ_get_register" },
	{ 0x76494b38, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xc4346a0b, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xd589cb47, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6307491e, "switchdev_bridge_port_unoffload" },
	{ 0xb9fc25e5, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2cccfeb1, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x66778802, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x3f73bf49, "netif_rx" },
	{ 0x53d928bc, "dev_mc_add" },
	{ 0x80ce1239, "flow_block_cb_alloc" },
	{ 0xc3cf826e, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7759c38f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x190f9794, "__dynamic_netdev_dbg" },
	{ 0xccf60726, "pv_ops" },
	{ 0xb02442b1, "sysfs_remove_group" },
	{ 0xbc39719b, "net_selftest" },
	{ 0x4664ee4e, "bpf_trace_run3" },
	{ 0x712fa82f, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x752d4544, "devlink_port_init" },
	{ 0xb17a5bf1, "__netpoll_setup" },
	{ 0x5b539355, "__dev_queue_xmit" },
	{ 0x198fd736, "vlan_vid_add" },
	{ 0x8019ceef, "devlink_params_register" },
	{ 0x1a957411, "trace_event_buffer_reserve" },
	{ 0x60521fff, "br_vlan_get_info_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xb9f1bd0b, "vlan_vid_del" },
	{ 0x6144eeed, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x8506f54, "devlink_resources_unregister" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0x8eb37015, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f4b6fab, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd401c26a, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x846a01f2, "devlink_port_region_create" },
	{ 0x7b2aa7b4, "devlink_priv" },
	{ 0xe881f3c8, "skb_copy" },
	{ 0x1f8e43e2, "__hw_addr_sync_dev" },
	{ 0xda698739, "devlink_port_register_with_ops" },
	{ 0xe8300c85, "mdiobus_get_phy" },
	{ 0x379f85bd, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x408f62f5, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8f793955, "dev_uc_add" },
	{ 0x4d522fba, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf4613f2a, "br_mst_enabled" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xf9e75a94, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xcac1a7ec, "dev_kfree_skb_any_reason" },
	{ 0x34928165, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1574d3fc, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x7ccd10c2, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xeeda4f07, "dcb_ieee_setapp" },
	{ 0xc99830f3, "phy_ethtool_get_sset_count" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7be35163, "__skb_vlan_pop" },
	{ 0x765176d4, "phylink_connect_phy" },
	{ 0xdc64b061, "br_get_ageing_time" },
	{ 0x42545a88, "register_netdevice" },
	{ 0xf91e61a6, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xf571e004, "netdev_lower_get_next" },
	{ 0x72b2ab11, "flow_block_cb_lookup" },
	{ 0x9c2696aa, "switchdev_handle_port_obj_add_foreign" },
	{ 0xc36d4c38, "devlink_resource_occ_get_unregister" },
	{ 0xf4c70577, "dev_set_mtu" },
	{ 0x8148e1f, "br_vlan_enabled" },
	{ 0xfc1a9cc3, "__skb_pad" },
	{ 0x7031d0b6, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2c99db3c, "skb_ensure_writable_head_tail" },
	{ 0xd3fad94d, "bpf_trace_run4" },
	{ 0x28ab75e0, "devlink_unregister" },
	{ 0xca6dc38c, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xda683811, "br_port_flag_is_set" },
	{ 0x851aeaba, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5d208546, "call_switchdev_notifiers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe1c2b37b, "br_port_get_stp_state" },
	{ 0xe8c43528, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc7245544, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92260bb7, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x80c4f1c2, "__netpoll_free" },
	{ 0xf5722ae5, "trace_raw_output_prep" },
	{ 0x2d0bc5b9, "br_vlan_get_proto" },
	{ 0xa2654c98, "br_mst_get_state" },
	{ 0xcdcc6086, "unregister_netdev" },
	{ 0x8b6ea4b6, "__trace_trigger_soft_disabled" },
	{ 0x3b7915a1, "trace_event_printf" },
	{ 0x17962aa5, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe9c83269, "netpoll_send_skb" },
	{ 0x27daceec, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc9b26458, "devlink_params_unregister" },
	{ 0x471065b5, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x275a531c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x79d5d62d, "devlink_alloc_ns" },
	{ 0x2b34910, "dev_set_promiscuity" },
	{ 0x27ce40bb, "devlink_register" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0x3319ae31, "devlink_free" },
	{ 0x7e569e04, "gro_cells_init" },
	{ 0x39f63ba3, "bpf_trace_run2" },
	{ 0xc9f7b4b7, "netdev_warn" },
	{ 0x2d8ba0a8, "unregister_netdevice_queue" },
	{ 0xc14938a, "get_device" },
	{ 0x46d83f56, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x32407093, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4bf94f20, "ether_setup" },
	{ 0xc6b47cd6, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x50f120f7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdcd4ef97, "netdev_upper_dev_link" },
	{ 0xc832376a, "pskb_expand_head" },
	{ 0x53f27a1d, "switchdev_handle_port_attr_set" },
	{ 0x53b689d8, "phylink_create" },
	{ 0xb1604c33, "vlan_for_each" },
	{ 0x4b2800ca, "netdev_port_same_parent_id" },
	{ 0x15978e7c, "trace_event_buffer_commit" },
	{ 0xef68552c, "dev_addr_mod" },
	{ 0xd7424cd5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x62cf2b81, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb5d4559b, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xad041ae0, "vlan_dev_vlan_proto" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "954CCB722758C2675BE8B3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
