#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x742c784c, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xf611e69a, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xe8a0edba, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xdb5d04ed, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x3c10c3aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xabe374ac, "inet_ctl_sock_create" },
	{ 0xb2a62257, "inet_ioctl" },
	{ 0x688233bc, "reuseport_add_sock" },
	{ 0x350b3dcb, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8300d35f, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4f1ae3d2, "perf_trace_run_bpf_submit" },
	{ 0xd175afee, "fput" },
	{ 0xd22e57c7, "inet_accept" },
	{ 0x4dd7e9ca, "init_net" },
	{ 0xa7473d6, "crypto_shash_setkey" },
	{ 0xcb384f60, "skb_pull" },
	{ 0x49555056, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4d0edc96, "ip6_mtu" },
	{ 0x2d12f038, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfc5fc294, "__SCK__tp_func_sk_data_ready" },
	{ 0x3fa802f7, "inet_add_protocol" },
	{ 0x16c54656, "inet_shutdown" },
	{ 0x27f88391, "sk_free" },
	{ 0x701a1723, "sock_wake_async" },
	{ 0xbc261207, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x78f313d9, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x47a88364, "skb_push" },
	{ 0x40572998, "__ip_queue_xmit" },
	{ 0xd4ef2876, "kmem_cache_free" },
	{ 0xfaa458a9, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xcd387065, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x355ad0d7, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x64795349, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x364debbf, "inet6_ioctl" },
	{ 0x546f09ab, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xcd01993d, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xd84dd5ea, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd026b5a2, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x1aecbff1, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x51212092, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a44e604, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x584a91e, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd04991e8, "__pskb_pull_tail" },
	{ 0x8fc3290a, "__kmem_cache_create_args" },
	{ 0xa2fa881d, "setup_udp_tunnel_sock" },
	{ 0xa1bd692c, "udp_sock_create6" },
	{ 0x7759c38f, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7e04af56, "sk_common_release" },
	{ 0xccf60726, "pv_ops" },
	{ 0x4664ee4e, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xba6bf378, "inet6_getname" },
	{ 0x751ca2c, "sock_i_ino" },
	{ 0x3b2ddbf8, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9b6c557e, "ip6_xmit" },
	{ 0x38c3f5f9, "security_sctp_assoc_request" },
	{ 0xaf78545e, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x679e8638, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x2800585d, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1a957411, "trace_event_buffer_reserve" },
	{ 0xdf52d597, "__skb_checksum" },
	{ 0x5965c76c, "reuseport_alloc" },
	{ 0xb1ed908b, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xc52285e7, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x8ffab6a4, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcffe48cc, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x2c34c748, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x62f90674, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1e634b02, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9d49f27b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb54bb7f, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6bc37a2e, "proc_create_net_single" },
	{ 0xe881f3c8, "skb_copy" },
	{ 0x7fa9e169, "skb_clone" },
	{ 0xbac0dce3, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x379f85bd, "dst_release" },
	{ 0x380e7cdb, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xde8a5a90, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbf5b67de, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x4b3845af, "sock_gettstamp" },
	{ 0x2d09bfcd, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xf69f043a, "_proc_mkdir" },
	{ 0x5de52a29, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1869be28, "send_sig" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2e96722, "inet6_add_protocol" },
	{ 0xf868cf4f, "from_kuid_munged" },
	{ 0x8a030ffa, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xafa8c6a7, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa504434b, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x15712547, "reuseport_detach_sock" },
	{ 0x4072a581, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x7182914b, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xce3ec937, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x6ce8f0d8, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7f7b1d93, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x40327a2f, "kmalloc_caches" },
	{ 0xb2537f08, "kmem_cache_destroy" },
	{ 0x8f91a9ef, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x749b241e, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x90354ef2, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe7e7e9a8, "sock_i_uid" },
	{ 0x98ae7cec, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3dfc70ce, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x64ac4e1c, "skb_copy_bits" },
	{ 0xdcf4f167, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbd017c67, "sock_wfree" },
	{ 0xa81d4230, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x675625bf, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7a9d8c7a, "ip6_dst_hoplimit" },
	{ 0xe8c43528, "consume_skb" },
	{ 0x8e3c9cb8, "inet6_add_offload" },
	{ 0x91a40c77, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x77d6db84, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf5722ae5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x28cc6f4e, "l3mdev_fib_table_by_index" },
	{ 0xb2668970, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7ca75de3, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbf7e2e1d, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x8b6ea4b6, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x81cceb7f, "skb_segment" },
	{ 0x3b7915a1, "trace_event_printf" },
	{ 0x2f90e691, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69c07d75, "udp_tunnel6_xmit_skb" },
	{ 0xc62b12f8, "sock_common_getsockopt" },
	{ 0x70b0d786, "inet_bind" },
	{ 0x2a6c83f1, "sock_create" },
	{ 0xf29be46b, "net_hotdata" },
	{ 0x59149626, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5028d5c1, "fd_install" },
	{ 0x275a531c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x86529653, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xbb18d686, "pcpu_hot" },
	{ 0x59a6d807, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x691dae2a, "security_sctp_assoc_established" },
	{ 0x20cc86af, "__tracepoint_sk_data_ready" },
	{ 0x39f63ba3, "bpf_trace_run2" },
	{ 0xcbda3f7c, "sock_common_setsockopt" },
	{ 0xebc114c2, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x60cdea61, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x5501270c, "__sk_mem_schedule" },
	{ 0x92e63e0b, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x712c5a8c, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ccebd1c, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5cbcfc6a, "sk_error_report" },
	{ 0x5830fb51, "register_pernet_subsys" },
	{ 0x95bdf6b5, "put_cmsg" },
	{ 0x15978e7c, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xa1f38e6a, "register_net_sysctl_sz" },
	{ 0xa121a197, "inet_sock_destruct" },
	{ 0x7dddf88, "crypto_destroy_tfm" },
	{ 0x255a6ff9, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x754bd35a, "inet_sk_get_local_port_range" },
	{ 0x884d99da, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x9d76c602, "inet_getname" },
	{ 0x7bb5e409, "proto_unregister" },
	{ 0xe374a336, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x5c7333b6, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb7397b42, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x3c4ca5d4, "inet_release" },
	{ 0xf2fd034, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9e9e1dd7, "proto_register" },
	{ 0xd7b2c51e, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xebbd91f4, "inet6_compat_ioctl" },
	{ 0xc340f6e5, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "A002B76532FC30556F38CC6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
